isc-dhcp (4.3.1-5ubuntu3) wily; urgency=medium

  [ Rafael David Tinoco (Inaddy) ]
  * replaced broken IB support with working one (LP: #1401141)
  * removed:
    - d/p/infiniband_lpf
    - d/p/infiniband_improved_xid
  * added: 
    + d/p/dhcp-lpf-ib.patch
    + d/p/dhcp-improved-xid.patch
    + d/p/dhcp-gpxe-cid.patch
    + d/p/dhcp-improved-xid-correct-byte-order.patch

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 11 May 2015 14:23:41 -0400

isc-dhcp (4.3.1-5ubuntu2.1) vivid-proposed; urgency=medium

  * debian/patches/dhcp-getifaddrs.patch: use getifaddrs 
    for getting nic addresses rather than /proc/net (LP: #1446767)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 21 Apr 2015 18:10:40 +0000

isc-dhcp (4.3.1-5ubuntu2) vivid; urgency=medium

  * Add systemd units for -server and -relay. Note that we don't use the -q
    (quiet) option, so that config file and other errors appear properly in
    the journal. Therefore we also don't need to separately call with "-t" to
    test config files before calling the server.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jan 2015 12:12:05 +0100

isc-dhcp (4.3.1-5ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Create user/group dhcpd.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Build with extra hardening and use --enable-paranoia to run dhcpd as user.
    - debian/dhclient.conf: Set for IPv6 (dhcp6.*).
    - Sanitize environment in dhclient-script.linux.
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
    - Add IPv6 support to dhclient-script.linux.udeb.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Add an 'option subnet-mask' example to config.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Don't call 'ip addr flush' as it breaks IPv6 networking.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + dhclient-more-debug.
      + dhclient-safer-timeout.
      + multi-ip-addr-per-if.
      + onetry_retry_after_initial_success.
      + revert-next-server.
      + infiniband_lpf
      + infiniband_improved_xid
      + udp_checksum_offloading
      + 64_bit_large_time_lease.patch
   * Move apparmor profiles to debian/apparmor to simplify installation.
   * debian/apparmor/sbin.dhclient: Add support for the new dispatcher binary
     used by NetworkManager.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Nov 2014 13:48:28 -0500

isc-dhcp (4.3.1-5) unstable; urgency=medium

  * Dynamically link against system bind libraries.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 16 Oct 2014 01:28:44 +0000

isc-dhcp (4.3.1-4) unstable; urgency=medium

  * Bump standards to 3.9.6.
  * Correct netmask handling in dhclient-script.linux.udeb (closes: #759761).
  * Fix missing alias_subnet_mask in dhclient-script.linux (closes: #691091).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Oct 2014 22:10:15 +0000

isc-dhcp (4.3.1-3) unstable; urgency=medium

  * Ignore arguments passed to sourced scripts (closes: #763208).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Sep 2014 21:00:36 +0000

isc-dhcp (4.3.1-2) unstable; urgency=medium

  * Use /bin/sh instead of /bin/bash for dhclient scripts (closes: #762923).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Sep 2014 21:57:28 +0000

isc-dhcp (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Avoid divide by zero issue (closes: #694650).
  * Correct typo in dhclient-script.linux (closes: #748272).
  * Ensure dhcpd.leases exists for the server init script (closes: #720860).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 13 Aug 2014 23:36:21 +0000

isc-dhcp (4.3.1~b1-1) experimental; urgency=medium

  * New upstream beta release.
  * Add debian/README.source.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 19 Jul 2014 22:06:23 +0000

isc-dhcp (4.3.0+dfsg-2) unstable; urgency=medium

  * Ship dhcp-lease-list (closes: #741488).
  * Fix lease removal in postrm (closes: #724033).
  * Add upstream public signing key for uscan verification.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 09 Jun 2014 01:07:09 +0000

isc-dhcp (4.3.0+dfsg-1) unstable; urgency=medium

  * New upstream stable release.
  * Update debian/copyright to format 1.0.
  * Depend on iproute2 instead of iproute (closes: #742151).
  * Depend on freebsd-net-tools for kfreebsd (closes: #738934).
  * Acknowledge and apply the non-maintainer upload (closes: #747017).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 May 2014 21:54:01 +0000

isc-dhcp (4.3.0a1-2.1) experimental; urgency=medium

  * Non-Maintainer Upload
  * rules: Fix bind patching.
  * bind-patches/hurd: Add upstream patch to fix Hurd build.
  * rules: Select proper backends in the Hurd case.
  * dhclient-script.hurd, dhclient-script.hurd.udeb,
    rfc3442-classless-routes.hurd: Add Hurd scripts.
  * Closes: #616290.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Apr 2014 22:14:44 +0200

isc-dhcp (4.3.0a1-2) experimental; urgency=medium

  * Remove unused template.
  * Remove unnecessary breaks.
  * Fix version control fields.
  * Escape hyphens in manpages.
  * Enable all build hardening flags.
  * Fix init functions lintian warning.
  * Create the /var/lib/dhcp directory (closes: #734773).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 10 Jan 2014 04:00:42 +0000

isc-dhcp (4.3.0a1-1) experimental; urgency=medium

  * New upstream release.
  * Use debhelper 9 and and simplified debian rules.
  * Use a single package for debugging symbols.
  * Bump standards to 3.9.5.
  * Update watch file.
  * Use dh-autoreconf.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 21 Dec 2013 22:04:30 +0000

isc-dhcp (4.2.4-7ubuntu14) utopic; urgency=medium

  * debian/apparmor-profile.dhclient: add file_inherit inet{,6} dgram rules
    for child profiles

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 27 Aug 2014 09:01:46 -0500

isc-dhcp (4.2.4-7ubuntu13) utopic; urgency=medium

  * apparmor-profile.dhclient: allow signal receive and ptrace readby by
    peer=/usr/sbin/NetworkManager to dhclient and nm-dhcp-client.action
    (LP: #1296415)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 25 Jun 2014 07:05:47 -0500

isc-dhcp (4.2.4-7ubuntu12) trusty; urgency=medium

  * apparmor-profile.dhclient: add read for /var/lib/NetworkManager/*lease

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 07 Apr 2014 08:38:02 -0500

isc-dhcp (4.2.4-7ubuntu11) trusty; urgency=medium

  * Fix broken shell syntax...

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Apr 2014 23:23:59 -0400

isc-dhcp (4.2.4-7ubuntu10) trusty; urgency=medium

  * Update old lucid configs to avoid conffile prompt. (LP: #1300654)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Apr 2014 18:34:49 -0400

isc-dhcp (4.2.4-7ubuntu9) trusty; urgency=medium

  * Drop debugging code from the inifiniband patch.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Mar 2014 11:42:55 -0400

isc-dhcp (4.2.4-7ubuntu8) saucy; urgency=low

  * debian/patches/large_interface_counters.patch: Allow for very large packet
    counts or bytes transferred without failing connections. (LP: #1222377)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Oct 2013 15:15:44 -0400

isc-dhcp (4.2.4-7ubuntu7) saucy; urgency=low

  * debian/apparmor-profile.dhclient: added net_admin capability, which is
    now required in certain scenarios. (LP: #1220918)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Sep 2013 12:42:03 -0400

isc-dhcp (4.2.4-7ubuntu6) saucy; urgency=low

  * debian/apparmor-profile.dhclient: allow 'm' for nm-dhcp-client.action
    which is related to LP: 1202203

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 28 Aug 2013 13:40:32 -0500

isc-dhcp (4.2.4-7ubuntu5) saucy; urgency=low

  * debian/control: Transition from iproute to iproute2.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Aug 2013 18:26:24 -0400

isc-dhcp (4.2.4-7ubuntu4) saucy; urgency=low

  * debian/apparmor-profile.dhclient: allow 'm' of /bin/bash (LP: #1202203)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 18 Jul 2013 16:59:08 -0500

isc-dhcp (4.2.4-7ubuntu3) saucy; urgency=low

  * debian/apparmor-profile.dhclient: allow read of /bin/bash (LP: #1197484)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 16 Jul 2013 15:13:49 -0500

isc-dhcp (4.2.4-7ubuntu2) saucy; urgency=low

  * debian/rules: Re-add missing line continuation. LP: #1201506.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Jul 2013 16:42:14 +0200

isc-dhcp (4.2.4-7ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6.
    - Separate default file for isc-dhcp-relay6.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - dhclient.conf: Set for IPv6 (dhcp6.*).
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Create user/group dhcpd.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Build with extra hardening and use --enable-paranoia to run dhcpd as user.
    - Add IPv6 support to dhclient-script.linux.udeb.
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
    - Sanitize environment in dhclient-script.linux.
    - Don't call 'ip addr flush' as it breaks IPv6 networking.
    - debian/apparmor-profile.dhclient: update to add the new paths used by
      NetworkManager for its conf and leases files; standardized under
      /var/lib/NetworkManager.
    - Remaining Ubuntu patches:
      + add-option-ignore-client-uids.patch (LP: #1069570)
      + dhclient-fix-backoff
      + dhclient-more-debug.
      + dhclient-safer-timeout.
      + dhcpd.conf-subnet-examples.
      + multi-ip-addr-per-if.
      + onetry_retry_after_initial_success.
      + revert-next-server.
    - 64_bit_time_overflow.patch: Fix for large lease times caused by
      isc_time_nowplusinterval() is not being safe with 64-bit.
    - debian/apparmor-profile.dhclient: use dhclient*.conf instead of
      dhclient-*.conf for NetworkManager to work with certain IPv6
      configurations.
  * Build-depend on autotools-dev and update the config.{guess,sub} copies
    in the bind tarball for arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Jul 2013 15:30:34 +0200

isc-dhcp (4.2.4-7) unstable; urgency=low

  * Set --with-ldapcrypto to restore openssl support (closes: #692808).
    - Thanks to Christian Hoffmann and Stéphane Graber.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 27 May 2013 20:35:09 +0000

isc-dhcp (4.2.4-6ubuntu3) saucy; urgency=low

  * debian/patches/64_bit_time_overflow.patch:
    Fix for large lease times caused by isc_time_nowplusinterval() is not
    being safe with 64-bit. (LP: #1189571)

 -- Ben Howard <ben.howard@ubuntu.com>  Mon, 10 Jun 2013 16:06:47 -0400

isc-dhcp (4.2.4-6ubuntu2) saucy-proposed; urgency=low

  * debian/apparmor-profile.dhclient: use dhclient*.conf instead of
    dhclient-*.conf for NetworkManager to work with certain IPv6
    configurations (LP: #1180516)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 May 2013 15:04:21 -0500

isc-dhcp (4.2.4-6ubuntu1) saucy; urgency=low

  * Merge from Debian, remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6. (LP: #944849)
    - Separate default file for isc-dhcp-relay6. (LP: #944849)
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - dhclient.conf: Set for IPv6 (dhcp6.*) (LP: #770324)
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Create user/group dhcpd (LP: #727837)
    - Create /etc/dhcp/ddns-keys/ for DDNS updates (LP: #341817)
    - Build with extra hardening and use --enable-paranoia to run dhcpd as user
      (LP: #727837)
    - Add IPv6 support to dhclient-script.linux.udeb
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
      (LP: #856984)
    - Sanitize environment in dhclient-script.linux. (LP: #1045986)
    - Don't call 'ip addr flush' as it breaks IPv6 networking. (LP: #1023174)
    - debian/apparmor-profile.dhclient: update to add the new paths used by
      NetworkManager for its conf and leases files; standardized under
      /var/lib/NetworkManager.
    - Remaining Ubuntu patches:
      + add-option-ignore-client-uids.patch (LP: #1069570)
      + dhclient-fix-backoff
      + dhclient-more-debug (LP: #35265)
      + dhclient-safer-timeout (LP: #838968)
      + dhcpd.conf-subnet-examples (LP: #26661)
      + multi-ip-addr-per-if (LP: #717166)
      + onetry_retry_after_initial_success (LP: #974284)
      + revert-next-server

 -- StÃ©phane Graber <stgraber@ubuntu.com>  Tue, 07 May 2013 17:41:33 -0400

isc-dhcp (4.2.4-6) unstable; urgency=high

  * Fix cve-2013-2494: issues with regular expression handling in the embedded
    bind library (closes: #704426).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 31 Mar 2013 23:52:58 +0000

isc-dhcp (4.2.4-5ubuntu2) raring; urgency=low

  * debian/patches/add-option-ignore-client-uids.patch:
    Add a new dhcpd.conf option 'ignore-client-uids'. (LP: #1069570)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 14 Mar 2013 17:49:10 -0400

isc-dhcp (4.2.4-5ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6. (LP: #944849)
    - Separate default file for isc-dhcp-relay6. (LP: #944849)
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - dhclient.conf: Set for IPv6 (dhcp6.*) (LP: #770324)
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Create user/group dhcpd (LP: #727837)
    - Create /etc/dhcp/ddns-keys/ for DDNS updates (LP: #341817)
    - Build with extra hardening and use --enable-paranoia to run dhcpd as user
      (LP: #727837)
    - Add IPv6 support to dhclient-script.linux.udeb
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
      (LP: #856984)
    - Sanitize environment in dhclient-script.linux. (LP: #1045986)
    - Don't call 'ip addr flush' as it breaks IPv6 networking. (LP: #1023174)
    - debian/apparmor-profile.dhclient: update to add the new paths used by
      NetworkManager for its conf and leases files; standardized under
      /var/lib/NetworkManager.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + dhclient-more-debug (LP: #35265)
      + dhclient-safer-timeout (LP: #838968)
      + dhcpd.conf-subnet-examples (LP: #26661)
      + multi-ip-addr-per-if (LP: #717166)
      + onetry_retry_after_initial_success (LP: #974284)
      + revert-next-server
    - Dropped Ubuntu patches:
      + dhclient-onetry-call-clientscript (now in Debian)

  * Add InfiniBand support patches from RedHat.
  * Update dhcpd apparmor profile for LPF. (LP: #1107686)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 26 Feb 2013 17:07:05 -0500

isc-dhcp (4.2.4-5) unstable; urgency=medium

  * Handle dhclient.conf left behind during a prior lenny->squeeze upgrade,
    upgrade it now to avoid an unnecessary conffile prompt (closes: #698582).
    - Thanks to Gregor Herrmann for the patch.
  * Also, do not copy dhclient.conf from /etc/dhcp3 anymore (closes: #700363).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 12 Feb 2013 03:14:13 +0000

isc-dhcp (4.2.4-4ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6. (LP: #944849)
    - Separate default file for isc-dhcp-relay6. (LP: #944849)
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - dhclient.conf: Set for IPv6 (dhcp6.*) (LP: #770324)
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Create user/group dhcpd (LP: #727837)
    - Create /etc/dhcp/ddns-keys/ for DDNS updates (LP: #341817)
    - Build with extra hardening and use --enable-paranoia to run dhcpd as user
      (LP: #727837)
    - Add IPv6 support to dhclient-script.linux.udeb
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
      (LP: #856984)
    - Sanitize environment in dhclient-script.linux. (LP: #1045986)
    - Don't call 'ip addr flush' as it breaks IPv6 networking. (LP: #1023174)
    - debian/apparmor-profile.dhclient: update to add the new paths used by
      NetworkManager for its conf and leases files; standardized under
      /var/lib/NetworkManager.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + dhclient-more-debug (LP: #35265)
      + dhclient-safer-timeout (LP: #838968)
      + dhcpd.conf-subnet-examples (LP: #26661)
      + multi-ip-addr-per-if (LP: #717166)
      + onetry_retry_after_initial_success (LP: #974284)
      + revert-next-server
    - Dropped Ubuntu patches:
      + dhclient-onetry-call-clientscript (now in Debian)
  * Fix isc-dhcp-server-ldap not actually containing ldap support.
    Thanks to Christian Hoffmann for tracking down the issue. (LP: #1071928)
  * Don't set fqdn.fqdn in dhclient.conf as that seems to confuse some DHCP
    servers. An alternative would have been to only set fqdn.fqdn and not
    host-name, but that appears to confuse another set of servers.
    For now go with just host-name which is the most common and if becomes a
    big problem for IPv6 (where fqdn.fqdn is apparently required), then we'll
    need to have a separate dhclient6.conf file and change all the calls to
    dhclient -6 to use that file instead. (LP: #1088682)
  * Include patch from RedHat/Fedora to deal with hardware/xen/virtio offload
    of UDP checksums. (LP: #930962)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 17 Jan 2013 17:09:14 -0500

isc-dhcp (4.2.4-4) unstable; urgency=medium

  * Run exit hooks when "dhclient -1" fails (closes: #486520).
  * Add dhcp6.name-servers and dhcp6.domain-search to the default request
    options in dhclient.conf (closes: #693315).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 13 Dec 2012 21:44:18 -0500

isc-dhcp (4.2.4-3ubuntu2) raring; urgency=low

  * debian/apparmor-profile.dhclient: update to add the new paths used by
    NetworkManager for its conf and leases files; standardized under
    /var/lib/NetworkManager.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 04 Jan 2013 14:50:31 -0500

isc-dhcp (4.2.4-3ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6. (LP: #944849)
    - Separate default file for isc-dhcp-relay6. (LP: #944849)
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - dhcient.conf: Set for IPv6 (fqdn.fqdn and dhcp6.*) (LP: #770324)
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Create user/group dhcpd (LP: #727837)
    - Create /etc/dhcp/ddns-keys/ for DDNS updates (LP: #341817)
    - Build with extra hardening and use --enable-paranoia to run dhcpd as user
      (LP: #727837)
    - Add IPv6 support to dhclient-script.linux.udeb
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
      (LP: #856984)
    - Sanitize environment in dhclient-script.linux. (LP: #1045986)
    - Don't call 'ip addr flush' as it breaks IPv6 networking. (LP: #1023174)
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + dhclient-more-debug (LP: #35265)
      + dhclient-onetry-call-clientscript
      + dhclient-safer-timeout (LP: #838968)
      + dhcpd.conf-subnet-examples (LP: #26661)
      + multi-ip-addr-per-if (LP: #717166)
      + onetry_retry_after_initial_success (LP: #974284)
      + revert-next-server

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 31 Oct 2012 09:31:00 +0100

isc-dhcp (4.2.4-3) unstable; urgency=high

  * Maintainer security upload.
  * Fix cve-2012-2248: as of 4.2.x the build system prefix now gets included
    in CLIENT_PATH.  This has security implications since the build system's
    source path is now included in dhclient's search PATH on users' systems,
    so sanitize the prefix to not include build system paths (closes: #690532)
    - Patch thanks to Raphael Geissert

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 15 Oct 2012 14:18:07 -0400

isc-dhcp (4.2.4-2ubuntu1) raring; urgency=low

  * Merge from Debian, remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6. (LP: #944849)
    - Separate default file for isc-dhcp-relay6. (LP: #944849)
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - dhcient.conf: Set for IPv6 (fqdn.fqdn and dhcp6.*) (LP: #770324)
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Create user/group dhcpd (LP: #727837)
    - Create /etc/dhcp/ddns-keys/ for DDNS updates (LP: #341817)
    - Build with extra hardening and use --enable-paranoia to run dhcpd as user
      (LP: #727837)
    - Add IPv6 support to dhclient-script.linux.udeb
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
      (LP: #856984)
    - Sanitize environment in dhclient-script.linux. (LP: #1045986)
    - Don't call 'ip addr flush' as it breaks IPv6 networking. (LP: #1023174)
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + dhclient-more-debug (LP: #35265)
      + dhclient-onetry-call-clientscript
      + dhclient-safer-timeout (LP: #838968)
      + dhcpd.conf-subnet-examples (LP: #26661)
      + multi-ip-addr-per-if (LP: #717166)
      + onetry_retry_after_initial_success (LP: #974284)
      + revert-next-server

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 25 Oct 2012 13:53:57 +0200

isc-dhcp (4.2.4-2) unstable; urgency=low

  * Fix multiple security issues (closes: #686174)
    - cve-2012-3570: buffer overflow via lanrge hardware address length.
    - cve-2012-3571: denial-of-service via zero-length packets.
    - cve-2012-3954: two potential memory leaks.
    - cve-2012-3955: server abort due to certain lease time changes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 14 Sep 2012 00:46:11 -0400

isc-dhcp (4.2.4-1ubuntu10.1) quantal-proposed; urgency=low

  * Re-introduce missing symlink for dhclient in
    /etc/apparmor/init/network-interface-security/ (LP: #1067473)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 16 Oct 2012 21:37:40 +0200

isc-dhcp (4.2.4-1ubuntu10) quantal; urgency=low

  * Allow dhcpd to read /etc/ldap/ldap.conf for isc-dhcp-server-ldap.
    (LP: #1057358)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Oct 2012 10:44:47 -0400

isc-dhcp (4.2.4-1ubuntu9) quantal; urgency=low

  * SECURITY UPDATE: denial of service via ipv6 lease expiration time
    reduction
    - debian/patches/CVE-2012-3955.patch: properly handle time reduction in
      server/dhcpv6.c, server/mdb6.c.
    - CVE-2012-3955

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Sep 2012 12:50:12 -0400

isc-dhcp (4.2.4-1ubuntu8) quantal; urgency=low

  [ Scott Moser ]
  * debian/apparmor-profile.dhcpd: use include directory to enable
    other packages to re-use isc-dhcp-server. (LP: #1049177)

  [ Stéphane Graber ]
  * Re-introduce the wait_for_rw code in dhclient-script which got lost
    in the last merge, this code is there for the few rare systems that
    aren't using resolvconf and don't have /etc mounted read/write by the
    time dhclient-script is called.
  * Update onetry_retry_after_initial_success to disable the onetry variable
    early enough to actually prevent dhclient from exiting. (LP: #974284)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 12 Sep 2012 17:30:26 -0400

isc-dhcp (4.2.4-1ubuntu7) quantal-proposed; urgency=low

  * debian/dhclient-script.linux: Explicitly set the PATH to that of
    ENV_SUPATH in /etc/login.defs and unset various other variables. We need
    to do this so /sbin/dhclient cannot abuse the environment to escape
    AppArmor confinement via this script. This can be removed once AppArmor
    supports environment filtering (LP: 1045985). Don't worry about
    debian/dhclient-script.linux.udeb or debian/dhclient-script.kfreebsd*
    since AppArmor isn't used in these environments.
    - LP: #1045986

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 05 Sep 2012 08:59:49 -0500

isc-dhcp (4.2.4-1ubuntu6) quantal-proposed; urgency=low

  * SECURITY UPDATE: denial of service via unexpected client identifiers
    - debian/patches/CVE-2012-3570.patch: validate MAC length in
      includes/dhcpd.h, server/dhcpv6.c.
    - CVE-2012-3570
  * SECURITY UPDATE: denial of service via malformed client identifiers
    - debian/patches/CVE-2012-3571.patch: validate packets in
      common/options.c, includes/dhcpd.h.
    - CVE-2012-3571
  * SECURITY UPDATE: denial of service via memory leaks
    - debian/patches/CVE-2012-3954.patch: properly manage memory in
      common/options.c and server/dhcpv6.c.
    - CVE-2012-3954

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Sep 2012 09:19:36 -0400

isc-dhcp (4.2.4-1ubuntu5) quantal-proposed; urgency=low

  * debian/isc-dhcp-client.apport, debian/isc-dhcp-server.apport: add
    filter on AppArmor profile names to prevent false positives from
    denials originating in other packages.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Aug 2012 09:45:10 -0400

isc-dhcp (4.2.4-1ubuntu4) quantal; urgency=low

  * debian/isc-dhcp-server.isc-dhcp-server[6].upstart: chown /var/lib/dhcp
    and the lease files to 'root:root'. This is needed due to the change
    in 4.2.4-1ubuntu1 to use the upstream code for dropping privileges which
    requires the lease files be owned by root. (LP: #1028526)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 24 Jul 2012 11:24:36 -0500

isc-dhcp (4.2.4-1ubuntu3) quantal; urgency=low

  * Hardcode "ip -4 addr flush" in place of "ip addr flush" as
    flushing addresses on an IPv6 interface destroy the interface's entry
    in /proc/sys/net/ipv6/conf... This is a workaround for LP: #1023174

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Jul 2012 18:10:59 -0400

isc-dhcp (4.2.4-1ubuntu2) quantal; urgency=low

  * Don't fail if /etc/dhcp/ddns-keys already exists.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Jul 2012 18:28:41 -0400

isc-dhcp (4.2.4-1ubuntu1) quantal; urgency=low

  * Merge from Debian. Remaining changes:
    (LP: #768171, LP: #841182, LP: #881558, LP: #872929, LP: #616809)
    - Use upstart jobs for isc-dhcp-server and isc-dhcp-relay.
    - Add IPv6 support to udeb dhclient-script (forwarded as Debian #635897).
    - Add an apport hook to isc-dhcp-client and isc-dhcp-server.
    - Add an apparmor profile to isc-dhcp-client and isc-dhcp-server.
    - Update default dhclient.conf to ask for IPv6 configuration.
    - Patches:
      + dhclient-fix-backoff
      + dhclient-more-debug
      + dhclient-onetry-call-clientscript
      + dhclient-safer-timeout
      + dhcpd.conf-subnet-examples
      + multi-ip-addr-per-if
      + onetry_retry_after_initial_success
      + revert-next-server
  * Set fqdn.fqdn to the result of gethostname(); (LP: #991360)
  * Replace old droppriv and deroot patches by use of --enable-paranoia
    and matching -user and -group parameters to dhcpd. (LP: #727837)
  * Allow read access to /etc/dhcp/ddns-keys/* for ddns. (LP: #341817)
    It's expected that people generate one key per zone and have it stored
    in both /etc/bind9 and /etc/dhcp/ddns-keys/ for security reason.
  * Fix apport hook to work with python3.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Jul 2012 09:54:00 -0400

isc-dhcp (4.2.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: reformatted Uploaders so that dch doesn't think I'm making
    NMUs
  * debian/rules: do a clean between the LDAP-enabled build and the
    non-LDAP-enabled one, so that no LDAP-related artefacts are accidently
    incorporated into the non-LDAP build
  * debian/dhclient-script.*: conditionalise the chown/chmod of the new
    resolv.conf on the existence of the old one (closes: #595400)
  * debian/dhclient-script.linux: comply with RFC 3442 and ignore
    the routers option if the rfc3442-classless-static-routes option is present
    (closes: #592735)
  * debian/dhclient-script.kfreebsd: fix subnet mask handling (closes: #677985)

 -- Andrew Pollock <apollock@debian.org>  Sat, 09 Jun 2012 14:01:05 -0700

isc-dhcp (4.2.2.dfsg.1-5) unstable; urgency=medium

  [ Andrew Pollock ]
  * debian/dhclient.conf: send the hostname (closes: #151820) 

  [ Michael Gilbert ]
  * Fix cve-2011-4868: error in DDNS handling with IPv6 (closes: #655746)
  * Fix cve-2011-4539: error in regular expression handling
    (closes: #652259)
  * Make dependencies diff-able
  * Add myself to uploaders
  * Remove all automatically generated files in clean rule
  * Medium urgency for security updates

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 28 Apr 2012 16:00:49 -0400

isc-dhcp (4.2.2.dfsg.1-4) unstable; urgency=low

  * The "Zoe woke up at 4am and I couldn't get back to sleep so I had some
    extra time to work on this" release
  * patch the Makefile for the embedded BIND libraries so that autoconf is run
    so that the modification to configure.in to fix the FTBFS on kFreeBSD
    actually does something useful (closes: #643569)

 -- Andrew Pollock <apollock@debian.org>  Wed, 14 Mar 2012 06:25:28 -0700

isc-dhcp (4.2.2.dfsg.1-3) unstable; urgency=low

  * debian/control: remove transitional packages
  * debian/rules: apply the intent of Pierre Chifflier's patch to enable
    hardening options (closes: #644413)
  * debian/control: also add inetutils-ping to the dependencies for
    isc-dhcp-client on hurd (closes: #648140)
  * Convert to 3.0 (quilt) source format:
    - debian/control: remove build-dep on dpatch
    - debian/rules: stop including dpatch.make
    - debian/rules: remove dpatch-related target dependencies
    - convert patches from dpatch to pure quilt
    - remove debian/README.source
  * debian/rules: cleaned up the target names a bit to reflect the lack of
    patching going on now
  * repack bind.tar.gz in upstream source tarball to patch configure.in for
    FTBFS on kFreeBSD and remove RFCs (closes: #643569, #645760)
  * debian/watch: add dversionmangle to deal with dfsg upstream tarball
  * Updated Dutch debconf template translation (closes: #651396)
  * Added Polish debconf template translation (closes: #659372)
  * Updated Brazilian Portugeuse debconf template translation (closes: #663494)
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Tue, 13 Mar 2012 22:04:53 -0700

isc-dhcp (4.2.2-2) unstable; urgency=low

  * debian/rules: use dpkg-buildflags to set CFLAGS, and export CFLAGS (closes:
    #643470)
  * debian/dhclient.conf: revert hostname setting behaviour to something
    equivalent to what upstream ships to avoid surprising people with unwanted
    hostname changes when changing networks (closes: #648676)
  * debian/dhclient-script.kfreebsd: apply patch from Robert Millan to resync
    dhclient-script with FreeBSD version (closes: #645502)
  * debian/control: add inetutils-ping to the dependencies for isc-dhcp-client
    on kfreebsd (closes: #648140)
  * Updated German debconf template translation (closes: #641843)
  * added harding-wrapper to build dependencies and invoke it in debian/rules
    (closes: #611192)

 -- Andrew Pollock <apollock@debian.org>  Sat, 19 Nov 2011 21:37:24 -0800

isc-dhcp (4.2.2-1) unstable; urgency=low

  * New upstream release, includes security fixes for CVE-2011-2748 and
    CVE-2011-2749 (closes: #638404)
  * Remove obsolete patches, refit remaining patches
  * Remove LDAP patch, it's finally upstream now (yay!)
  * debian/rules: adjust double build for the non-existence of the LDAP patch
  * debian/isc-dhcp-server-ldap.docs: update for new location of documentation
  * debian/rules: added build-arch and build-indep targets
  * debian/rules: applied patch from Kees Cook to call dh_link (closes: #614992)
  * debian/dhclient-script.linux: applied patch from Colin Watson to make
    dhclient-script support stateless DHCPv6 (closes: #632888) 
  * debian/dhclient-script.linux: fix regression for MTU <= 576 handling
    (closes: #638267)
  * Apply patch from Peter Marschall to split the rfc3442-classless-routes hook
    into a Linux and a kFreeBSD variant, so that the Linux one can use iproute
    (closes: #630519)
  * debian/isc-dhcp-server.postinst: apply patch from Peter Marschall to
    document new variables in /etc/default/isc-dhcp-server
  * debian/isc-dhcp-server.init.d: apply patch from Peter Marschall to
    - make the name of the default file configurable
    - make the name of the server configuration file configurable (closes:
      #590158, #565650)
    - allow passing additional options to dhcpd (closes: #613734)
    - read PID from config file
  * Add Catalan debconf template translation (closes: #628372)
  * debian/isc-dhcp-client,dhcp3-client}.links: apply patch from Peter
    Marschall to move old compatibility links to the old compatibility package
    (closes: #614992)
  * debian/isc-dhcp-server.postinst: apply patch from Peter Marschall to fix
    comment in /etc/default/isc-dhcp-server (closes: #616417)
  * debian/control: apply patch from Peter Marschall to add a Provides:
    dhcp-client to isc-dhcp-client (closes: #236001)
  * debian/dhclient-script.{linux,kfreebsd}: apply patch from Peter Marschall
    to fix metric calculation (closes: #629632)
  * debian/dhclient-script.linux: apply patches from Peter Marschall to support
    IPv6 link-local resolvers
  * debian/dhclient-script.{linux,kfreebsd}: applied patch from Peter Marschall
    to factor out the hostname setting to a separate function
  * debian/dhclient-script.{linux,kfreebsd}: applied patch from Peter Marschall
    to harmonize the logic for setting the hostname (closes: #246155)
  * apply patch from Peter Marschall to use one common script for the debug
    hooks
  * debian/rfc3442-classless-routes.{linux,kfreebsd}: applied patch from Peter
    Marschall to take care of link-local routes (closes: #521024)
  * debian/dhclient-script.*: apply patch from Peter Marschall to use alternate
    value expansion
  * debian/isc-dhcp-server.postinst: eliminate an error message from sed if no
    interfaces are provided 

 -- Andrew Pollock <apollock@debian.org>  Sun, 28 Aug 2011 22:12:21 -0700

isc-dhcp (4.1.ESV-R4-0ubuntu8) quantal-proposed; urgency=low

  * Add "-Wno-unused-but-set-variable" instead of replacing all
    options already set. Otherwise the config file will not be
    found (LP: #1006937) for example.

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 05 Jun 2012 10:59:27 -0400

isc-dhcp (4.1.ESV-R4-0ubuntu7) quantal; urgency=low

  * Also allow read access to the pid file in the apparmor profile,
    otherwise only the initial start succeeds. (LP: #985417)
  * Apparently the current CFLAGS weren't past to configure so hardcode
    CFLAGS="-Wno-unused-but-set-variable" for now which will allow it to
    build and not be any worse than what we had in the past.
    The merge with Debian's 4.2 should fix that mess for good.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 27 May 2012 20:35:21 -0400

isc-dhcp (4.1.ESV-R4-0ubuntu6) quantal; urgency=low

  * Set -pf option for both isc-dhcp-server and isc-dhcp-server6 so they
    create their pid files in a path that's actually writable.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 27 May 2012 18:29:30 -0400

isc-dhcp (4.1.ESV-R4-0ubuntu5) precise; urgency=low

  * When dhclient is called with -1, exit on failure to get a lease only
    when getting the initial lease. Once backgrounded, behave exactly like
    in normal mode. (LP: #974284)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Apr 2012 14:19:23 +0200

isc-dhcp (4.1.ESV-R4-0ubuntu4) precise; urgency=low

  * debian/apparmor-profile.dhcpd:
    - allow writes to the compiled in default pid file (LP: #974054)
    - allow reads to /var/lib/wicd/* (LP: #588635)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 05 Apr 2012 07:19:11 -0500

isc-dhcp (4.1.ESV-R4-0ubuntu3) precise; urgency=low

  * Spawn separate IPv4 and IPv6 daemons. (LP: #944849)

  * Convert /etc/init.d/isc-dhcp-server to two upstart jobs:
    - /etc/init/isc-dhcp-server.conf (using /etc/isc-dhcp-server/dhcpd.conf)
    - /etc/init/isc-dhcp-server6.conf (using /etc/isc-dhcp-server/dhcpd6.conf)

  * Convert /etc/init.d/isc-dhcp-relay to two upstart jobs:
    - /etc/init/isc-dhcp-relay.conf (using /etc/default/isc-dhcp-relay)
    - /etc/init/isc-dhcp-relay6.conf (using /etc/default/isc-dhcp-relay6)

  * To enable isc-dhcp-server6, create /etc/isc-dhcp-server/dhcpd6.conf
  * To enable isc-dhcp-relay6, configure /etc/default/isc-dhcp-relay6

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 06 Mar 2012 13:22:41 -0500

isc-dhcp (4.1.ESV-R4-0ubuntu2) precise; urgency=low

  * debian/control: Build-Depends on dh-apparmor (LP: #948132)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 06 Mar 2012 09:58:59 -0600

isc-dhcp (4.1.ESV-R4-0ubuntu1) precise; urgency=low

  * New upstream release (4.1-ESV-R4) (LP: #937169)
    https://deepthought.isc.org/article/AA-00566
  * Removed patches (now upstream):
    - CVE-2010-3611.dpatch
    - CVE-2011-0413.dpatch
    - CVE-2011-0997.dpatch
    - CVE-2011-2748-2749.dpatch
    - CVE-2011-4539.dpatch
    - dhclient-initial-random-delay-option.dpatch
    - fix_groff_warnings.dpatch
    - no-libcrypto.dpatch
  * Refreshed patches:
    - dhcp-4.1.0-ldap-code.dpatch
    - fix_exit_hook_doc_manpage.dpatch

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 20 Feb 2012 13:05:01 -0500

isc-dhcp (4.1.1-P1-18) unstable; urgency=low

  * debian/control: fix short description for dhcp3-client package
  * debian/rfc3442-classless-routes: convert to using iproute (closes: #630519)

 -- Andrew Pollock <apollock@debian.org>  Sat, 18 Jun 2011 10:07:16 -0700

isc-dhcp (4.1.1-P1-17ubuntu13) precise; urgency=low

  * debian/apparmor-profile.dhclient: allow the new pid file for dhclient which
    NetworkManager will use. (LP: #869635)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Feb 2012 17:01:19 -0500

isc-dhcp (4.1.1-P1-17ubuntu12) precise; urgency=low

  * SECURITY UPDATE: denial of service via regular expressions
    - debian/patches/CVE-2011-4539.dpatch: add check for null pointer in
      common/tree.c.
    - CVE-2011-4539

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Dec 2011 15:49:11 -0500

isc-dhcp (4.1.1-P1-17ubuntu11) precise; urgency=low

  * debian/dhclient-script.linux: fix for read-only /etc (LP: #857524)

 -- Scott Moser <smoser@brickies.net>  Mon, 24 Oct 2011 22:28:35 -0400

isc-dhcp (4.1.1-P1-17ubuntu10) oneiric; urgency=low

  * make sure writing of /etc/resolv.conf actually waits until the file is 
    writable (LP: #856984)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 23 Sep 2011 11:26:29 -0400

isc-dhcp (4.1.1-P1-17ubuntu9) oneiric; urgency=low

  * debian/dhclient-script.linux.udeb: Leave previous nameservers in
    resolv.conf if we don't get any in the current lease (matching the
    non-udeb variant).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 21:40:33 +0100

isc-dhcp (4.1.1-P1-17ubuntu8) oneiric; urgency=low

  * debian/patches/dhclient-safer-timeout.dpatch: Increase default
    timeout to ensure we don't hit it.  Closes LP: #838968.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Sep 2011 14:34:52 -0700

isc-dhcp (4.1.1-P1-17ubuntu7) oneiric; urgency=low

  * Add IPv6 support to udeb dhclient-script (forwarded as Debian #635897).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Aug 2011 14:44:23 +0100

isc-dhcp (4.1.1-P1-17ubuntu6) oneiric; urgency=low

  * SECURITY UPDATE: denial of service via specially crafted packets
    - debian/patches/CVE-2011-2748-2749.dpatch: tighten up restriction in
      common/discover.c, properly calculate length in common/options.c,
      validate packet->options in server/dhcp.c.
    - CVE-2011-2748
    - CVE-2011-2749

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Aug 2011 11:14:46 -0400

isc-dhcp (4.1.1-P1-17ubuntu5) oneiric; urgency=low

  * debian/isc-dhcp-{server,client}.apport: use new apport MAC function
    instead of parsing and attaching AppArmor events here.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 Jul 2011 08:21:11 -0400

isc-dhcp (4.1.1-P1-17ubuntu4) oneiric; urgency=low

  * adjust AppArmor profile for /var/run -> /run (LP: #810270)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jul 2011 08:26:44 -0500

isc-dhcp (4.1.1-P1-17ubuntu3) oneiric; urgency=low

  * Add DHCPv6 client configuration to dhclient.conf (LP: #770324)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 20 Jun 2011 09:41:26 -0400

isc-dhcp (4.1.1-P1-17ubuntu2) oneiric; urgency=low

  * debian/apparmor-profile.dhcpd: modify AppArmor profile for DHCP server to
    work with IPv6 thanks to Launchpad user nikolas for the patch. LP: #787212

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Jun 2011 13:55:44 -0700

isc-dhcp (4.1.1-P1-17ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Deroot server (Debian #308832).
    - Send hostname to DHCP server by default (LP #10239, Debian #151820).
    - dhclient-onetry-call-clientscript.dpatch: Call 'dhclient-script FAIL'
      when failing to get an address also when operating in oneshot mode
      (-1).  This fixes avahi-autoipd invocation through dhcdbd.
    - dhcpd.conf-subnet-examples.dpatch: Give an example for subnet-mask in
      dhcpd.conf.
    - dhclient-more-debug.dpatch: Show the requested/offered client IP in
      log output, for better debugging.
    - debian/dhclient-script.linux: Wait for /etc/resolv.conf to become
      writable; this isn't the case when ifup is called from an Upstart job
      triggered by udev (Ubuntu-specific until Debian uses this rule, too).
      Rewritten for 4.1.1-P1-17 changes.
    - revert-next-server.dpatch: Revert the need of the next-server option
      in dhcpd.conf so it points to the own IP again for tftp if the option
      is not set (patch by Oliver Grawert; disputed upstream).
    - debian/isc-dhcp-server.init.d: Allow LTSP to override default
      configuration in /etc/ltsp/dhcpd.conf.  Point that out in a header
      comment in debian/dhcpd.conf (Ubuntu-specific).
    - debian/isc-dhcp-server.config: Drop debconf question to medium
      (Ubuntu-specific).
    - Enable build hardening.  Add hardening-wrapper build dependency
      (Ubuntu-specific).
    - Add enforcing AppArmor profile for DHCP client and server.
    - Install apport hooks.
    - debian/dhclient-script.linux: Fix regression in host_name option
      handling, so that it's always honored when /etc/hostname is not set.
    - dhclient-fix-backoff.dpatch,
      dhclient-initial-random-delay-option.dpatch: Speed up DHCP negotiation
      (Debian #509089).
    - Fix configure test for ber_init to work correctly with 'ld
      --no-add-needed'.
    - isc-dhcp-client Breaks: network-manager (<< 0.8.2~rc1), since earlier
      versions were patched in Ubuntu to hardcode assumptions for
      dhcp3-client.
    - debian/patches/multi-ip-addr-per-if.dpatch: Resolve issue of
      interfaces not being able to have more than one IP address assigned.
    - debian/isc-dhcp-client.links: fix symlink ordering for new ISC
      package
    - debian/rules: add call to dh_link to get package symlinks back

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 30 May 2011 13:30:57 -0400

isc-dhcp (4.1.1-P1-17) unstable; urgency=low

  * Incorporate and acknowledge NMU
  * Apply a multitude of patches from Peter Marschall (closes: #609408)
    - fix domain_name in domain_search check in dhclient-script 
      (closes: #567141)
    - fix indentation in dhclient-script to improve readability
    - remove bashisms from dhclient-script
    - fix setting of hostname in dhclient-script
    - remove bashisms from rfc3442-classless-routes hook
    - check for $new_domain_search in dhclient-script
    - synchronize the Linux dhclient-script more with the kFreeBSD one
    - general readability improvements to dhclient-script
    - add DHCPv6 support to the Linux dhclient-script (closes: #591589)
    - expand the variables reported by the debug hooks
    - remove unused variables from dhclient-script
    - convert the Linux dhclient-script to use iproute2 (closes: #275653)
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Wed, 18 May 2011 23:02:44 -0700

isc-dhcp (4.1.1-P1-16.1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Deroot server (Debian #308832).
    - Send hostname to DHCP server by default (LP #10239, Debian #151820).
    - dhclient-onetry-call-clientscript.dpatch: Call 'dhclient-script FAIL'
      when failing to get an address also when operating in oneshot mode
      (-1).  This fixes avahi-autoipd invocation through dhcdbd.
    - dhcpd.conf-subnet-examples.dpatch: Give an example for subnet-mask in
      dhcpd.conf.
    - dhclient-more-debug.dpatch: Show the requested/offered client IP in
      log output, for better debugging.
    - debian/dhclient-script.linux: Wait for /etc/resolv.conf to become
      writable; this isn't the case when ifup is called from an Upstart job
      triggered by udev (Ubuntu-specific until Debian uses this rule, too).
    - revert-next-server.dpatch: Revert the need of the next-server option
      in dhcpd.conf so it points to the own IP again for tftp if the option
      is not set (patch by Oliver Grawert; disputed upstream).
    - debian/isc-dhcp-server.init.d: Allow LTSP to override default
      configuration in /etc/ltsp/dhcpd.conf.  Point that out in a header
      comment in debian/dhcpd.conf (Ubuntu-specific).
    - debian/isc-dhcp-server.config: Drop debconf question to medium
      (Ubuntu-specific).
    - Enable build hardening.  Add hardening-wrapper build dependency
      (Ubuntu-specific).
    - Add enforcing AppArmor profile for DHCP client and server.
    - Install apport hooks.
    - debian/dhclient-script.linux: Fix regression in host_name option
      handling, so that it's always honored when /etc/hostname is not set.
    - dhclient-fix-backoff.dpatch,
      dhclient-initial-random-delay-option.dpatch: Speed up DHCP negotiation
      (Debian #509089).
    - Fix configure test for ber_init to work correctly with 'ld
      --no-add-needed'.
    - isc-dhcp-client Breaks: network-manager (<< 0.8.2~rc1), since earlier
      versions were patched in Ubuntu to hardcode assumptions for
      dhcp3-client.
    - debian/patches/multi-ip-addr-per-if.dpatch: Resolve issue of
      interfaces not being able to have more than one IP address assigned.
    - debian/isc-dhcp-client.links: fix symlink ordering for new ISC
      package
    - debian/rules: add call to dh_link to get package symlinks back

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 May 2011 09:49:05 -0400

isc-dhcp (4.1.1-P1-16.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix cve-2011-0997: remote code execution vulnerability in dhclient
    (closes: #621099).
  * Fix ftbfs with 'ld --no-as-needed' (closes: #602312).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 09 Apr 2011 10:57:14 -0400

isc-dhcp (4.1.1-P1-16) unstable; urgency=high

  * Patch by Raphael Geissert from 4.1-ESV for CVE-2011-0413 (closes: #611217)

 -- Andrew Pollock <apollock@debian.org>  Thu, 03 Feb 2011 22:20:55 -0800

isc-dhcp (4.1.1-P1-15ubuntu9) natty; urgency=low

  * SECURITY UPDATE: arbitrary code execution via crafted hostname
    - Patch for CVE-2011-0997 was getting reverted during the build
      because of special quilt handling in debian/rules for the ldap
      patches.
    - debian/patches/00list: move CVE-2011-0997 patch before the ldap
      patches, and add comment.
    - CVE-2011-0997

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Apr 2011 08:45:56 -0400

isc-dhcp (4.1.1-P1-15ubuntu8) natty; urgency=low

  * apparmor-profile.dhclient: update to also allow leases in /var/lib/dhcp3
    (LP: #755724)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 11 Apr 2011 07:56:15 -0500

isc-dhcp (4.1.1-P1-15ubuntu7) natty; urgency=low

  * SECURITY UPDATE: arbitrary code execution via crafted hostname
    - debian/patches/CVE-2011-0997.dpatch: filter strings in
      client/dhclient.c, common/options.c.
    - CVE-2011-0997

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Apr 2011 14:43:35 -0400

isc-dhcp (4.1.1-P1-15ubuntu6) natty; urgency=low

  * debian/patches/multi-ip-addr-per-if.dpatch: Resolve issue of interfaces
    not being able to have more than one IP address assigned. Patch courtesy
    of Daniel Nurmi, Eucalyptus Systems. (LP: #717166)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 16 Mar 2011 07:55:33 +0000

isc-dhcp (4.1.1-P1-15ubuntu5) natty; urgency=low

  * debian/isc-dhcp-client.links: fix symlink ordering for new ISC package
    (LP: #724556).

 -- Kees Cook <kees@ubuntu.com>  Thu, 24 Feb 2011 14:16:30 -0800

isc-dhcp (4.1.1-P1-15ubuntu4) natty; urgency=low

  * debian/rules: add call to dh_link to get package symlinks back
    (Closes: #614992).

 -- Kees Cook <kees@ubuntu.com>  Thu, 24 Feb 2011 10:21:54 -0800

isc-dhcp (4.1.1-P1-15ubuntu3) natty; urgency=low

  * SECURITY UPDATE: denial of service via processing of message from an address
    that was previously declined, causing assert failure. (LP: #720729)
    - debian/patches/CVE-2011-0413.dpatch: Reclaim the previously abandoned 
      address in isc-dhcp/server/mdb6.c, by retagging the lease and adding
      a sane expiration value.  Based on changes between upstream releases 
      4.1.2 and 4.1.2-P1
    - CVE-2011-0413

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 17 Feb 2011 16:24:57 +0000

isc-dhcp (4.1.1-P1-15ubuntu2) natty; urgency=low

  * debian/apparmor-profile.dhcpd: allow read access to @{PROC}/[0-9]*/net/dev
    LP: #688186
  * debian/apparmor-profile.dhclient: tighten to allow access to
    @{PROC}/[0-9]*/net/**, not @{PROC}/sys/net
  * debian/isc-dhcp-client.postinst: move the old dhclient3 AppArmor aside on
    upgrade. This is needed to properly support upgrades to 11.04 and 12.04.
    LP: #688191

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 09 Dec 2010 11:21:53 -0600

isc-dhcp (4.1.1-P1-15ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Deroot server (Debian #308832).
    - Send hostname to DHCP server by default (LP #10239, Debian #151820).
    - dhclient-onetry-call-clientscript.dpatch: Call 'dhclient-script FAIL'
      when failing to get an address also when operating in oneshot mode
      (-1).  This fixes avahi-autoipd invocation through dhcdbd.
    - dhcpd.conf-subnet-examples.dpatch: Give an example for subnet-mask in
      dhcpd.conf.
    - dhclient-more-debug.dpatch: Show the requested/offered client IP in
      log output, for better debugging.
    - debian/dhclient-script.linux: Wait for /etc/resolv.conf to become
      writable; this isn't the case when ifup is called from an Upstart job
      triggered by udev (Ubuntu-specific until Debian uses this rule, too).
    - revert-next-server.dpatch: Revert the need of the next-server option
      in dhcpd.conf so it points to the own IP again for tftp if the option
      is not set (patch by Oliver Grawert; disputed upstream).
    - debian/isc-dhcp-server.init.d: Allow LTSP to override default
      configuration in /etc/ltsp/dhcpd.conf.  Point that out in a header
      comment in debian/dhcpd.conf (Ubuntu-specific).
    - debian/isc-dhcp-server.config: Drop debconf question to medium
      (Ubuntu-specific).
    - Enable build hardening.  Add hardening-wrapper build dependency
      (Ubuntu-specific).
    - Add enforcing AppArmor profile for DHCP client and server.
    - Install apport hooks.
    - debian/dhclient-script.linux: Fix regression in host_name option
      handling, so that it's always honored when /etc/hostname is not set.
    - dhclient-fix-backoff.dpatch,
      dhclient-initial-random-delay-option.dpatch: Speed up DHCP negotiation
      (Debian #509089).
    - Fix configure test for ber_init to work correctly with 'ld
      --no-add-needed'.
    - isc-dhcp-client Breaks: network-manager (<< 0.8.2~rc1), since earlier
      versions were patched in Ubuntu to hardcode assumptions for
      dhcp3-client.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Dec 2010 14:29:49 +0000

isc-dhcp (4.1.1-P1-15) unstable; urgency=low

  * Remove isc-dhcp/server/dhcpv6.c.orig from CVE-2010-3611.dpatch

 -- Andrew Pollock <apollock@debian.org>  Sat, 27 Nov 2010 09:42:20 -0800

isc-dhcp (4.1.1-P1-14) unstable; urgency=low

  * Backport fix for CVE-2010-3611 from 4.1.2

 -- Andrew Pollock <apollock@debian.org>  Fri, 19 Nov 2010 20:54:19 -0800

isc-dhcp (4.1.1-P1-13) unstable; urgency=low

  * Updated Spanish debconf template translation (closes: #603122)

 -- Andrew Pollock <apollock@debian.org>  Sun, 14 Nov 2010 13:16:13 -0800

isc-dhcp (4.1.1-P1-12) unstable; urgency=low

  * Updated patch to correct groff warnings in man pages, to be more
    anatomically correct (thanks to Colin Watson) (closes: #602114)
  * Updated Vietnamese debconf template translation (closes: #601535)
  * Added patch that came from Ubuntu by way of Colin Watson to update
    dhclient-script(8) to mention the exit hook functionality (closes: #469203)

 -- Andrew Pollock <apollock@debian.org>  Tue, 02 Nov 2010 23:27:59 -0700

isc-dhcp (4.1.1-P1-11ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Deroot server (Debian #308832).
    - Send hostname to DHCP server by default (LP #10239, Debian #151820).
    - dhclient-onetry-call-clientscript.dpatch: Call 'dhclient-script FAIL'
      when failing to get an address also when operating in oneshot mode
      (-1).  This fixes avahi-autoipd invocation through dhcdbd.
    - dhcpd.conf-subnet-examples.dpatch: Give an example for subnet-mask in
      dhcpd.conf.
    - dhclient-more-debug.dpatch: Show the requested/offered client IP in
      log output, for better debugging.
    - debian/dhclient-script.linux: Wait for /etc/resolv.conf to become
      writable; this isn't the case when ifup is called from an Upstart job
      triggered by udev (Ubuntu-specific until Debian uses this rule, too).
    - revert-next-server.dpatch: Revert the need of the next-server option
      in dhcpd.conf so it points to the own IP again for tftp if the option
      is not set (patch by Oliver Grawert; disputed upstream).
    - debian/isc-dhcp-server.init.d: Allow LTSP to override default
      configuration in /etc/ltsp/dhcpd.conf.  Point that out in a header
      comment in debian/dhcpd.conf (Ubuntu-specific).
    - debian/isc-dhcp-server.config: Drop debconf question to medium
      (Ubuntu-specific).
    - Enable build hardening.  Add hardening-wrapper build dependency
      (Ubuntu-specific).
    - Add enforcing AppArmor profile for DHCP client and server.
    - Install apport hooks.
    - debian/dhclient-script.linux: Fix regression in host_name option
      handling, so that it's always honored when /etc/hostname is not set.
    - dhclient-fix-backoff.dpatch,
      dhclient-initial-random-delay-option.dpatch: Speed up DHCP negotiation
      (Debian #509089).
    - fix_exit_hook_doc_manpage.diff: Modify client/dhclient-script(8) to
      include information about the script directories
      /etc/dhcp/dhclient-enter-hooks.d and /etc/dhcp/dhclient-enter-hooks.d.
  * Drop preinst code to set AppArmor to complain mode on upgrades from very
    old Ubuntu releases, predating the last LTS.
  * Fix syntax errors in isc-dhcp-server apport hook.
  * Use dh_apport.
  * Make isc-dhcp-server depend on adduser for its postinst.
  * Fix configure test for ber_init to work correctly with 'ld
    --no-add-needed'.
  * isc-dhcp-client Breaks: network-manager (<< 0.8.2~rc1), since earlier
    versions were patched in Ubuntu to hardcode assumptions for
    dhcp3-client.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Nov 2010 17:40:49 +0000

isc-dhcp (4.1.1-P1-11) unstable; urgency=low

  * debian/control: make isc-dhcp-client's dependency on iproute Linux-only
    (closes: #601154)

 -- Andrew Pollock <apollock@debian.org>  Sat, 23 Oct 2010 14:26:41 -0700

isc-dhcp (4.1.1-P1-10) unstable; urgency=low

  * Updated Japanese debconf template translation (closes: #590239)
  * Updated Russian debconf template translation (closes: #591240)
  * Updated Swedish debconf template translation (closes: #592044)
  * Updated Spanish debconf template translation (closes: #592173)
  * Updated Galacian debconf template translation (closes: #592810)
  * Updated Czech debconf template translation (closes: #593228)
  * Updated Italian debconf template translation (closes: #593576)
  * debian/dhcp3-server.postinst: reinstate, remove obsolete init script
    (closes: #594527)
  * debian/dhcp3-relay.postinst: reinstate, remove obsolete init script
  * debian/control: make all of the transitional dummy packages Priority: extra
    and Section: oldlibs (closes: #594339)
  * debian/control: add iproute to dependencies of isc-dhcp-client
  * Updated Portugeuse debconf template translation (closes: #597143)
  * Added Danish debconf template translation (closes: #600748)
  * debian/control: bumped Standards-Version (no changes)
  * debian/control: added pkg-config to Build-Depends
  * Added patch from Simon McVittie to stop unnecessary linking with libcrypto
    (closes: #592361)
  * debian/control: added Vcs-Git and Vcs-Browser fields
  * debian/README.source: made a more explicit mention of how the build works
  * Add debian/source/format (sticking with 1.0 for now)

 -- Andrew Pollock <apollock@debian.org>  Thu, 21 Oct 2010 22:25:59 -0700

isc-dhcp (4.1.1-P1-9) unstable; urgency=high

  * debian/control: really don't make the new packages conflict with the
    old/transitional packages (closes: #590186)
  * debian/control: rather than depend on the version of ifupdown that invokes
    dhclient correctly, conflict with older versions of ifupdown that do not
    (closes: #546883, #590092)
  * Updated Russian debconf template translation (closes: #589252)
  * Updated Swedish debconf template translation (closes: #589261)
  * Updated French debconf template translation (closes: #589492)
  * Updated German debconf template translation (closes: #589578)

 -- Andrew Pollock <apollock@debian.org>  Sat, 24 Jul 2010 10:33:04 -0700

isc-dhcp (4.1.1-P1-8) unstable; urgency=low

  * debian/dhcp3-client.postrm: bring back to clean up cruft (closes: #588203)
  * debian/dhcp3-server.postrm: bring back to clean up cruft
  * Updated French debconf templates translation (closes: #588281)
  * debian/isc-dhcp-server.templates: corrected /etc/dhcp3 -> /etc/dhcp
  * debian/rules: correctly build LDAP-enabled DHCP server (closes: #574754)
  * debian/control: build-depend on autoconf and automake
  * debian/control: bump Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Wed, 14 Jul 2010 22:28:21 -0700

isc-dhcp (4.1.1-P1-7) unstable; urgency=low

  * The "There goes the neighbourhood" release
  * No changes rebuild to upload to unstable

 -- Andrew Pollock <apollock@debian.org>  Sun, 04 Jul 2010 22:58:02 -0700

isc-dhcp (4.1.1-P1-6) experimental; urgency=low

  * debian/rules: configure client to use correct path for DHCPv6 leases file
    (closes: #587884)

 -- Andrew Pollock <apollock@debian.org>  Fri, 02 Jul 2010 21:04:16 -0700

isc-dhcp (4.1.1-P1-5) experimental; urgency=low

  * split out the udeb dhclient-script so there's one for Linux and one for
    kFreeBSD (closes: #551054)

 -- Andrew Pollock <apollock@debian.org>  Tue, 29 Jun 2010 22:34:06 -0700

isc-dhcp (4.1.1-P1-4) experimental; urgency=low

  * debian/rules: really enable DHCPv6 (closes: #587269)
  * debian/control: conflict with resolvconf <= 1.45 (closes: #586095)

 -- Andrew Pollock <apollock@debian.org>  Sat, 26 Jun 2010 22:33:43 -0700

isc-dhcp (4.1.1-P1-3) experimental; urgency=low

  * debian/rules: stop invoking dh_installinit with --noscripts so the
    update-rc.d stuff is done properly
  * debian/isc-dhcp-{relay,server}.{postinst,postrm}: remove calls to
    update-rc.d and invoke-rc.d, let dh_installinit handle it
  * debian/isc-dhcp-server.init.d: add a start-time dependency on $named
    (closes: #586035)
  * debian/{rules,isc-dhcp-server.{prerm,postinst}}: ignore failure to start
    the DHCP server

 -- Andrew Pollock <apollock@debian.org>  Tue, 15 Jun 2010 23:20:30 -0700

isc-dhcp (4.1.1-P1-2) experimental; urgency=low

  * debian/isc-dhcp-{server,relay}.init: go back to not mentioning any
    runlevels for Default-Stop
  * debian/isc-dhcp-server.postinst: don't specify any runlevels for stop
    scripts when invoking update-rc.d

 -- Andrew Pollock <apollock@debian.org>  Mon, 07 Jun 2010 19:41:25 -0700

isc-dhcp (4.1.1-P1-1) experimental; urgency=low

  * New Upstream Version
    - Fix for fencepost error on zero-length client identifier
    - CVE-2010-2156
    - VU#541921
  * debian/isc-dhcp-{server,relay}.init: adjust Default-Stop to match
    invocation of update-rc.d in postinst to avoid warning from update-rc.d

 -- Andrew Pollock <apollock@debian.org>  Mon, 07 Jun 2010 09:41:34 -0700

isc-dhcp (4.1.1-3) experimental; urgency=low

  * debian/control: don't make the new packages conflict with the
    old/transitional packages

 -- Andrew Pollock <apollock@debian.org>  Sun, 06 Jun 2010 20:01:22 -0700

isc-dhcp (4.1.1-2) experimental; urgency=low

  * debian/control: make dhcp3-* packages match what the override file says
  * debian/rules: DHCPv6 support builds now, stop disabling (closes: #549060)
  * debian/README.Debian: stop mentioning DHCPv6 is disabled

 -- Andrew Pollock <apollock@debian.org>  Fri, 04 Jun 2010 10:46:42 -0700

isc-dhcp (4.1.1-1) experimental; urgency=low

  * New Upstream Version
  * Re-add LDAP patches
  * debian/control: bump Standards-Version (no changes)
  * debian/isc-dhcp-server.init.d: don't mention any runlevels for Default-Stop

 -- Andrew Pollock <apollock@debian.org>  Sat, 06 Mar 2010 18:59:54 -0800

isc-dhcp (4.1.0-2) experimental; urgency=low

  * debian/README.Debian: update for current upstream version, specifically
    mention that DHCPv6 is disabled
  * debian/rules: provide a pointer to why DHCPv6 is disabled
  * Fix dhclient-script so that changes in the DHCP-provided hostname
    cause a hostname change to occur on the client
  * Remove unnecessary sleep from dhclient-script
  * Updated LDAP patch

 -- Andrew Pollock <apollock@debian.org>  Sun, 01 Nov 2009 15:02:10 -0800

isc-dhcp (4.1.0-1) experimental; urgency=low

  * The "throw everything out and start over" release
  * New upstream release
  * debian/control: drop 3 from the binary package names, adjust dependencies,
    maintainer scripts, accordingly
  * use debhelper more extensively, de-cruft debian/rules
  * remove dhcp-server preinst
  * add debug packages
  * add transitional packages
  * add debian/README.source
  * debian/control: bumped Standards-Version
  * debian/isc-dhcp-server.postinst: transfer existing config and lease files
    when upgrading from dhcp3-server
  * debian/isc-dhcp-client.postinst: transfer existing config file when
    upgrading from dhcp3-client
  * debian/changelog: added marker for legacy malformed changelog entry to
    placate Lintian
  * add a patch to correct groff warnings in man pages
  * add a patch to ignore checksums on the loopback interface
  * debian/control: make isc-dhcp-client depend on ifupdown that invokes
    /sbin/dhclient correctly

 -- Andrew Pollock <apollock@debian.org>  Wed, 02 Sep 2009 22:34:25 -0700

dhcp3 (3.1.3-2ubuntu6) maverick; urgency=low

  * update to use dh_apparmor:
    - debian/rules, debian/{dhcp3-client,dhcp3-server}-post{inst,rm}: updated
      to use dh_apparmor
    - debian/control: Build-Depends on debhelper >= 7.4.20ubuntu6
  * debian/apparmor-profile*: use local include
  * debian/dhcp3-client.*: remove old check for if-pre-up.d's
    dhclient3-apparmor on upgrade, as well as the no longer used conffile
    functions

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 15:34:54 -0500

dhcp3 (3.1.3-2ubuntu5) maverick; urgency=low

  * debian/patches/fix_exit_hook_doc_manpage.diff: fix LP: #53024,
    Modified client/dhclient-script.8 manpage to include information about
    the script folders /etc/dhcp3/dhclient-enter-hooks.d and
    /etc/dhcp3/dhclient-enter-hooks.d.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 27 Jul 2010 15:55:09 -0400

dhcp3 (3.1.3-2ubuntu4) maverick; urgency=low

  * Speed up DHCP negotiation:
    - Add dhclient-fix-backoff.dpatch: Fix the delays between consecutive
      requests (the backoff algorithm).
    - Add dhclient-initial-random-delay-option.dpatch: Provide an option for
      the intial random delay instead of hardcoding it, and set it to 0 by
      default.
    - Thanks to Michel Lespinasse <walken@zoy.org> for the patches! See patch
      headers and Debian #509089 for details.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Jun 2010 11:44:00 +0200

dhcp3 (3.1.3-2ubuntu3) lucid; urgency=low

  * debian/dhclient-script.linux: Fix regression in host_name option
    handling, so that it's always honored when /etc/hostname is not set,
    fixes LP: #537978, #482313, #90388, #476491

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Thu, 01 Apr 2010 16:52:36 +0200

dhcp3 (3.1.3-2ubuntu2) lucid; urgency=low

  * Fix missing fi in debian/dhclient-script.linux (LP: #519206).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 09 Feb 2010 10:41:24 +0000

dhcp3 (3.1.3-2ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Deroot server (Debian #308832):
      + droppriv.dpatch, deroot-server.dpatch: Code changes.
      + debian/control: Add libcap-dev build dependency.
      + debian/dhcp3-server.postinst: Create dhcpd system user.
      + debian/dhcp3-server.init.d: Create paths with appropriate permissions
        for dhcpd system user access.
     - Send hostname to DHCP server by default (LP #10239, Debian #151820):
       + debian/patches/dynamic-hostname.dpatch: Add support for a new string
         type 'h' which behaves like 't' except that '<hostname>' is changed to
         the current hostname. Change 'host-name' DHCP option type from 't' to
         'h'.
       + debian/dhclient.conf: Enable send-hostname by default.
      - dhclient-onetry-call-clientscript.dpatch: Call 'dhclient-script FAIL'
        when failing to get an address also when operating in oneshot mode (-1).
        This fixes avahi-autoipd invocation through dhcdbd. (Debian #486520)
      - debian/patches/dhcpd.conf-subnet-examples.dpatch: Give an example for
        subnet-mask in dhcpd.conf. (LP #26661)
      - dhclient-more-debug.dpatch: Show the requested/offered client IP in log
        output, for better debugging. (LP #35265, Debian #486611)
      - debian/dhclient-script.linux: Wait for /etc/resolv.conf to become
        writable; this isn't the case when udev's 85-ifupdown.rules calls ifup
        early. (Ubuntu specific until Debian uses this rule, too)
      - revert-next-server.dpatch: Revert the need of the next-server option in
        dhcpd.conf so it points to the own IP again for tftp if the option is
        not set. (Patch by Oliver Grawert; disputed upstream)
      - debian/dhcp3-server.init.d: Allow LTSP to override default configuration
        in /etc/ltsp/dhcpd.conf. Point that out in a header comment in
        debian/dhcpd.conf. (Ubuntu specific)
      - debian/dhcp3-server.config: Drop debconf question to medium. (Ubuntu
        specific)
      - debian/rules: Enable build hardening. Add hardening-wrapper build
        dependency. (Ubuntu specific)
      - debian/dhclient-script.linux: Drop keeping of old search/domain values
        if we didn't get any from the DHCP response. It is inconsistent with
        resolvconf and should rather use default/supercede options in
        /etc/dhcp3/dhclient.conf.
      - add enforcing Apparmor profile for dhcp3 client and server:
        + debian/control: Suggests apparmor
        + debian/dhcp3-{client,server}.dirs: add etc/apparmor.d/force-complain
        + debian/dhcp3-{client,server}.preinst: force-complain on upgrades from
          dhcp3-server earlier than Ubuntu 7.04
        + debian/dhcp3-{client,server}.postinst: reload apparmor
        + debian/dhcp3-{client,server}.postrm: remove force-complain link
        + debian/rules: copy profile into DESTDIR
        + debian/dhcp3-server.files: install usr.sbin.dhcpd3
        + debian/dhcp3-client.files: install sbin.dhclient3
        + debian/README.Debian: add note on Apparmor
        + Adjust dhclient AppArmor profile to call dhclient-script with Uxr instead
          of Pxr with its own unrestricted profile. This simplifies the profile,
        + debian/dhcp3-client.postinst: adjust to reload only the dhlient3 profile.
        + debian/dhcp3-server.postinst: adjust to reload only the dhcpd3 profile.
       - add ifupdown hook so the dhclient3 Apparmor profile is loaded before
         calling dhclient3, which can happen under certain conditions with udev
         + debian/dhcp3-client.files: install dhclient3-apparmor ifup script
         + debian/dhcp3-client.dirs: add etc/network/if-pre-up.d
         + debian/rules: copy ifup script into DESTDIR
       - simplify ifupdown logic since we will mount securityfs in mountkern.sh
         instead of trying to wait around for it here. Thanks to Scott James
         Remnant for analysis (LP: #399954)

   [Chuck Short]
   * debian/rules, debian/apport/dhcp3-server.py, debian/apport/dhcp3-client.py,
     debian/dhcp3-client.files, debian/dhcp3-server.files, debian/dhcp3-common.dirs:
     Install apport hook, apart of the server-lucid-apport-hooks specification.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 27 Jan 2010 08:04:48 +0000

dhcp3 (3.1.3-1ubuntu3) lucid; urgency=low

  * drop patch for CVE-2009-0692 as this was fixed in 3.1.3
    - http://oldwww.isc.org/sw/dhcp/dhcp_rel2.php?noframes=1

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 26 Jan 2010 21:28:23 -0600

dhcp3 (3.1.3-1ubuntu2) lucid; urgency=low

  * debian/dhcp3-client.links: install symlink for early loading of
    dhclient AppArmor profile.

 -- Kees Cook <kees@ubuntu.com>  Tue, 15 Dec 2009 11:31:21 -0800

dhcp3 (3.1.3-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Deroot server (Debian #308832)
      + droppriv.dpatch, deroot-server.dpatch: Code changes.
      + debian/control: Add libcap-dev build dependency.
      + debian/dhcp3-server.postinst: Create dhcpd system user.
      + debian/dhcp3-server.init.d: Create paths with appropriate permissions
        for dhcpd system user access.
    - Send hostname to DHCP server by default (LP #10239, Debian #151820):
      + debian/patches/dynamic-hostname.dpatch: Add support for a new string
        type 'h' which behaves like 't' except that '<hostname>' is changed to
        the current hostname. Change 'host-name' DHCP option type from 't' to
        'h'
      + debian/dhclient.conf: Enable send-hostname by default.
    - dhclient-onetry-call-clientscript.dpatch: Call 'dhclient-script FAIL'
      when failing to get an address also when operating in oneshot mode (-1).
      This fixes avahi-autoipd invocation through dhcdbd. (Debian #486520)
    - debian/patches/dhcpd.conf-subnet-examples.dpatch: Give an example for
      subnet-mask in dhcpd.conf. (LP #26661)
    - dhclient-more-debug.dpatch: Show the requested/offered client IP in log
      output, for better debugging. (LP #35265, Debian #486611)
    - debian/dhclient-script.linux: Wait for /etc/resolv.conf to become
      writable; this isn't the case when udev's 85-ifupdown.rules calls ifup
      early. (Ubuntu specific until Debian uses this rule, too)
    - revert-next-server.dpatch: Revert the need of the next-server option in
      dhcpd.conf so it points to the own IP again for tftp if the option is
      not set. (Patch by Oliver Grawert; disputed upstream)
    - debian/dhcp3-server.init.d: Allow LTSP to override default configuration
      in /etc/ltsp/dhcpd.conf. Point that out in a header comment in
      debian/dhcpd.conf. (Ubuntu specific)
    - debian/dhcp3-server.config: Drop debconf question to medium. (Ubuntu
      specific)
    - debian/rules: Enable build hardening. Add hardening-wrapper build
      dependency. (Ubuntu specific)
    - debian/dhclient-script.linux: Drop keeping of old search/domain values
      if we didn't get any from the DHCP response. It is inconsistent with
      resolvconf and should rather use default/supercede options in
      /etc/dhcp3/dhclient.conf.
    - add enforcing Apparmor profile for dhcp3 client and server:
      - debian/control: Suggests apparmor
      - debian/dhcp3-{client,server}.dirs: add etc/apparmor.d/force-complain
      - debian/dhcp3-{client,server}.preinst: force-complain on upgrades from
        dhcp3-server earlier than Ubuntu 7.04
      - debian/dhcp3-{client,server}.postinst: reload apparmor
      - debian/dhcp3-{client,server}.postrm: remove force-complain link
      - debian/rules: copy profile into DESTDIR
      - debian/dhcp3-server.files: install usr.sbin.dhcpd3
      - debian/dhcp3-client.files: install sbin.dhclient3
      - debian/README.Debian: add note on Apparmor
      - Adjust dhclient AppArmor profile to call dhclient-script with Uxr instead
        of Pxr with its own unrestricted profile. This simplifies the profile,
      - debian/dhcp3-client.postinst: adjust to reload only the dhlient3 profile.
      - debian/dhcp3-server.postinst: adjust to reload only the dhcpd3 profile.
     - add ifupdown hook so the dhclient3 Apparmor profile is loaded before
       calling dhclient3, which can happen under certain conditions with udev
       - debian/dhcp3-client.files: install dhclient3-apparmor ifup script
       - debian/dhcp3-client.dirs: add etc/network/if-pre-up.d
       - debian/rules: copy ifup script into DESTDIR
     - simplify ifupdown logic since we will mount securityfs in mountkern.sh
       instead of trying to wait around for it here. Thanks to Scott James
       Remnant for analysis (LP: #399954)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Nov 2009 18:15:20 +0000

dhcp3 (3.1.2-1ubuntu7) karmic; urgency=low

  * Remove if-pre-up workaround for AppArmor now that it is started
    from the initramfs.  This solves unexpected behavior when apparmor
    is temporarily disabled on a system using DHCP.

 -- Kees Cook <kees@ubuntu.com>  Wed, 07 Oct 2009 16:27:10 -0700

dhcp3 (3.1.2-1ubuntu6) karmic; urgency=low

  * debian/apparmor-profile.dhclient3: allow access to lease files and
    script for synce-hal to work. (LP: #445442)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 07 Oct 2009 09:04:07 -0500

dhcp3 (3.1.2-1ubuntu5) karmic; urgency=low

  * debian/apparmor-dhclient3.ifupdown: use profile name instead of stdin.

 -- Kees Cook <kees@ubuntu.com>  Fri, 17 Jul 2009 12:07:19 -0700

dhcp3 (3.1.2-1ubuntu4) karmic; urgency=low

  * Adjust dhclient AppArmor profile to call dhclient-script with Uxr instead
    of Pxr with its own unrestricted profile. This simplifies the profile,
    does not change the security stance of the profile, and works around an
    AppArmor regression in Ubuntu kernel 2.6.31-3.19. (LP: #400349)
  * debian/dhcp3-client.postinst: adjust to reload only the dhlient3 profile,
    not all of AppArmor
  * debian/dhcp3-server.postinst: adjust to reload only the dhcpd3 profile,
    not all of AppArmor

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Jul 2009 09:57:19 -0500

dhcp3 (3.1.2-1ubuntu3) karmic; urgency=low

  * simplify ifupdown logic since we will mount securityfs in mountkern.sh
    instead of trying to wait around for it here. Thanks to Scott James
    Remnant for analysis (LP: #399954)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 16 Jul 2009 11:25:40 -0500

dhcp3 (3.1.2-1ubuntu2) karmic; urgency=low

  * SECURITY UPDATE: stack overflow when connecting to malicious DHCP v4
    server
    - debian/patches/CVE-2009-0692.dpatch: update script_write_params() in
      dhclient.c to verify that length of data is not longer than netmask
      (iaddr)
    - CVE-2009-0692

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 13 Jul 2009 15:01:19 -0500

dhcp3 (3.1.2-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Deroot server (Debian #308832)
      + droppriv.dpatch, deroot-server.dpatch: Code changes.
      + debian/control: Add libcap-dev build dependency.
      + debian/dhcp3-server.postinst: Create dhcpd system user.
      + debian/dhcp3-server.init.d: Create paths with appropriate permissions
        for dhcpd system user access.
    - Send hostname to DHCP server by default (LP #10239, Debian #151820):
      + debian/patches/dynamic-hostname.dpatch: Add support for a new string
        type 'h' which behaves like 't' except that '<hostname>' is changed to
        the current hostname. Change 'host-name' DHCP option type from 't' to
        'h'.
      + debian/dhclient.conf: Enable send-hostname by default.
    - dhclient-onetry-call-clientscript.dpatch: Call 'dhclient-script FAIL'
      when failing to get an address also when operating in oneshot mode (-1).
      This fixes avahi-autoipd invocation through dhcdbd. (Debian #486520)
    - debian/patches/dhcpd.conf-subnet-examples.dpatch: Give an example for
      subnet-mask in dhcpd.conf. (LP #26661)
    - dhclient-more-debug.dpatch: Show the requested/offered client IP in log
      output, for better debugging. (LP #35265, Debian #486611)
    - debian/dhclient-script.linux: Wait for /etc/resolv.conf to become
      writable; this isn't the case when udev's 85-ifupdown.rules calls ifup
      early. (Ubuntu specific until Debian uses this rule, too)
    - revert-next-server.dpatch: Revert the need of the next-server option in
      dhcpd.conf so it points to the own IP again for tftp if the option is
      not set. (Patch by Oliver Grawert; disputed upstream)
    - debian/dhcp3-server.init.d: Allow LTSP to override default configuration
      in /etc/ltsp/dhcpd.conf. Point that out in a header comment in
      debian/dhcpd.conf. (Ubuntu specific)
    - debian/dhcp3-server.config: Drop debconf question to medium. (Ubuntu
      specific)
    - debian/rules: Enable build hardening. Add hardening-wrapper build
      dependency. (Ubuntu specific)
    - debian/dhclient-script.linux: Drop keeping of old search/domain values
      if we didn't get any from the DHCP response. It is inconsistent with
      resolvconf and should rather use default/supercede options in
      /etc/dhcp3/dhclient.conf.
    - add enforcing Apparmor profile for dhcp3 client and server:
      - debian/control: Suggests apparmor
      - debian/dhcp3-{client,server}.dirs: add etc/apparmor.d/force-complain
      - debian/dhcp3-{client,server}.preinst: force-complain on upgrades from
        dhcp3-server earlier than Ubuntu 7.04
      - debian/dhcp3-{client,server}.postinst: reload apparmor
      - debian/dhcp3-{client,server}.postrm: remove force-complain link
      - debian/rules: copy profile into DESTDIR
      - debian/dhcp3-server.files: install usr.sbin.dhcpd3
      - debian/dhcp3-client.files: install sbin.dhclient3
      - debian/README.Debian: add note on Apparmor
    - add ifupdown hook so the dhclient3 Apparmor profile is loaded before
      calling dhclient3, which can happen under certain conditions with udev
      - debian/dhcp3-client.files: install dhclient3-apparmor ifup script
      - debian/dhcp3-client.dirs: add etc/network/if-pre-up.d
      - debian/rules: copy ifup script into DESTDIR

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 May 2009 22:52:58 +0000

dhcp3 (3.1.2-1) unstable; urgency=low

  * New upstream release
  * Removed pretty_print_option() patch (incorporated upstream)
  * debian/dhclient-script.linux: apply patch from Kees Cook to ignore
    DHCP-supplied MTUs below 576 (closes: #513616)
  * debian/dhclient.conf: (re)add ntp-servers to the request list (closes:
    #407667)
  * debian/rfc3442-classless-routes: also run for REBOOT reason (closes:
    #515756)
  * debian/control: bumped Standards-Version (no changes)
  * debian/compat: bump compatibility to 5
  * debian/dhcp3-server.NEWS: adjust indenting to please Lintian
  * debian/control: added ${misc:Depends} to dependencies of dhcp-client and
    dhcp3-dev

 -- Andrew Pollock <apollock@debian.org>  Wed, 01 Apr 2009 22:26:51 -0700

dhcp3 (3.1.1-7) unstable; urgency=low

  * debian/control: make dhcp-client Priority: extra

 -- Andrew Pollock <apollock@debian.org>  Sun, 01 Feb 2009 22:37:55 -0800

dhcp3 (3.1.1-6) unstable; urgency=low

  * debian/dhcp3-server.init: use -q in test_config()
  * debian/dhcp3-server.NEWS: added a mention of the requirement for
    consistent naming of failover peers (closes: #513506)
  * debian/dhcp3-server.NEWS: merged NEWS.Debian, removed
    debian/dhcp3-server.docs

 -- Andrew Pollock <apollock@debian.org>  Sun, 01 Feb 2009 18:51:06 -0800

dhcp3 (3.1.1-5ubuntu8) jaunty; urgency=low

  * debian/dhclient.conf: Request ntp-servers by default (LP: #74164)

 -- Jonathan Marsden <jmarsden@fastmail.fm>  Mon, 23 Mar 2009 19:42:32 -0700

dhcp3 (3.1.1-5ubuntu7) jaunty; urgency=low

  * debian/apparmor-profile.dhclient3: adjust to allow NetworkManager and
    connmann access to dbus (LP: #342235)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 17 Mar 2009 17:26:19 -0500

dhcp3 (3.1.1-5ubuntu6) jaunty; urgency=low

  * debian/apparmor-profile.dhclient3: adjust to support connman. Patch
    thanks to Mark Shuttleworth. (LP: #333711)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 24 Feb 2009 08:47:29 -0600

dhcp3 (3.1.1-5ubuntu5) jaunty; urgency=low

  * don't wait in ifupdown script if apparmor isn't installed (LP: #331444)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 19 Feb 2009 07:44:45 -0600

dhcp3 (3.1.1-5ubuntu4) jaunty; urgency=low

  * add enforcing Apparmor profile for dhcp3-client:
    - debian/control: Suggests apparmor
    - debian/dhcp3-client.dirs: add etc/apparmor.d/force-complain
    - debian/dhcp3-client.preinst: force-complain on upgrades from dhcp3-client
      earlier than Ubuntu 7.04
    - debian/dhcp3-client.postinst: reload apparmor
    - debian/dhcp3-client.postrm: remove force-complain link
    - debian/rules: copy profile into DESTDIR
    - debian/dhcp3-client.files: install sbin.dhclient3
    - debian/README.Debian: expand note on Apparmor
  * add ifupdown hook so the dhclient3 Apparmor profile is loaded before
    calling dhclient3, which can happen under certain conditions with udev
    - debian/dhcp3-client.files: install dhclient3-apparmor ifup script
    - debian/dhcp3-client.dirs: add etc/network/if-pre-up.d
    - debian/rules: copy ifup script into DESTDIR
  * rename debian/apparmor-profile to debian/apparmor-profile.dhcpd3
  * debian/apparmor-profile.dhcpd3: allow eucalyptus paths
  * References
    - https://wiki.ubuntu.com/ApparmorProfileMigration

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 18 Feb 2009 08:23:14 -0600

dhcp3 (3.1.1-5ubuntu3) jaunty; urgency=low

  * add enforcing Apparmor profile:
    - debian/control: Suggests apparmor
    - debian/dhcp3-server.dirs: add etc/apparmor.d/force-complain
    - debian/dhcp3-server.preinst: force-complain on upgrades from dhcp3-server
      earlier than Ubuntu 7.04
    - debian/dhcp3-server.postinst: reload apparmor
    - debian/dhcp3-server.postrm: remove force-complain link
    - debian/rules: copy profile into DESTDIR
    - debian/dhcp3-server.files: install usr.sbin.dhcpd3
    - debian/README.Debian: add note on Apparmor
  * References
    - https://wiki.ubuntu.com/ApparmorProfileMigration

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 10 Feb 2009 15:08:42 -0600

dhcp3 (3.1.1-5ubuntu2) jaunty; urgency=low

  * Raise minimum valid MTU to 577 to avoid broken devices that send 576,
    which is unlikely to be correct either (LP: #274069, debian bug #513616).

 -- Kees Cook <kees@ubuntu.com>  Fri, 30 Jan 2009 11:13:15 -0800

dhcp3 (3.1.1-5ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Deroot server (Debian #308832)
      + droppriv.dpatch, deroot-server.dpatch: Code changes.
      + debian/control: Add libcap-dev build dependency.
      + debian/dhcp3-server.postinst: Create dhcpd system user.
      + debian/dhcp3-server.init.d: Create paths with appropriate permissions
        for dhcpd system user access.
    - Send hostname to DHCP server by default (LP #10239, Debian #151820):
      + debian/patches/dynamic-hostname.dpatch: Add support for a new string
        type 'h' which behaves like 't' except that '<hostname>' is changed to
        the current hostname. Change 'host-name' DHCP option type from 't' to 'h'.
      + debian/dhclient.conf: Enable send-hostname by default.
    - dhclient-onetry-call-clientscript.dpatch: Call 'dhclient-script FAIL'
      when failing to get an address also when operating in oneshot mode (-1).
      This fixes avahi-autoipd invocation through dhcdbd. (Debian #486520)
    - debian/patches/dhcpd.conf-subnet-examples.dpatch: Give an example for
      subnet-mask in dhcpd.conf. (LP #26661)
    - dhclient-more-debug.dpatch: Show the requested/offered client IP in log
      output, for better debugging. (LP #35265, Debian #486611)
    - debian/dhclient-script.linux: Wait for /etc/resolv.conf to become
      writable; this isn't the case when udev's 85-ifupdown.rules calls ifup
      early. (Ubuntu specific until Debian uses this rule, too)
    - revert-next-server.dpatch: Revert the need of the next-server option in
      dhcpd.conf so it points to the own IP again for tftp if the option is not
      set. (Patch by Oliver Grawert; disputed upstream)
    - debian/dhcp3-server.init.d: Allow LTSP to override default configuration
      in /etc/ltsp/dhcpd.conf. Point that out in a header comment in
      debian/dhcpd.conf. (Ubuntu specific)
    - debian/dhcp3-server.config: Drop debconf question to medium. (Ubuntu
      specific)
    - debian/rules: Enable build hardening. Add hardening-wrapper build
      dependency. (Ubuntu specific)
  * debian/dhclient-script.linux: Drop keeping of old search/domain values if
    we didn't get any from the DHCP response. It is inconsistent with
    resolvconf and should rather use default/supercede options in
    /etc/dhcp3/dhclient.conf. (see Debian #486535) 

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Nov 2008 13:38:53 +0100

dhcp3 (3.1.1-5) unstable; urgency=high

  * Really incorporate previous (3.1.1-3.1) NMU (closes: #484424, #484261)
  * Updated Brazilian Portugeuse debconf template translation (closes:
    #501641)

 -- Andrew Pollock <apollock@debian.org>  Thu, 16 Oct 2008 22:29:41 -0700

dhcp3 (3.1.1-4) unstable; urgency=high

  * Acknowledge and incorporate previous NMU (closes: #484424)
  * debian/dhcp3-server.postinst: run restorecon to correct the SELinux
    context (closes: #499266)
  * Updated Swedish debconf template translation (closes: #491762)

 -- Andrew Pollock <apollock@debian.org>  Sat, 04 Oct 2008 12:54:42 -0700

dhcp3 (3.1.1-3) unstable; urgency=low

  * debian/dhcp3-server.init: correct typoed invocation of log_daemon_msg
    (closes: #489506)

 -- Andrew Pollock <apollock@debian.org>  Sun, 06 Jul 2008 14:08:21 -0700

dhcp3 (3.1.1-2) unstable; urgency=low

  * The "ISC will get domain-search right one of these releases" release
  * Patch pretty_print_option() to return all domains provided in the
    domain-search option (code taken from 4.0.0)
  * debian/control: add Suggests/Enhances relationship between
    dhcp3-server/dhcp3-server-ldap
  * debian/control: add a dhcp-client dummy package for transitioning from
    etch to lenny
  * debian/control: bumped Standards-Version (no changes)
  * debian/control: s/Uploader/Uploaders/
  * debian/rules: removed some old cruft predating use of dpatch for patch
    management
  * removed debian/scripts, nothing in there is referenced any more

  * debian/debug-{enter,exit}: update debug hooks to also log the
    domain-search option
  * Added hook to dhclient to support RFC3442 (classless static route option)
    and add rfc3442-classless-static-routes to the options requested (closes:
    #396545)
  * Updated debian/patches/dhcp-3.1.0-ldap-code.dpatch (gracias José):
    - Corrected to use /var/lib/dhcp3 directory (closes: #484424)
    - Fixed LDAP bind connection (closes: #484261)
  * debian/dhcp3-client.prerm: removed, it wasn't doing anything
  * Added Lintian override for possible-gpl-code-linked-with-openssl to
    dhcp3-server-ldap
  * debian/dhclient-script.{linux,kfreebsd}: stop stripping out literal \032
    from $new_domain_search. It only gets in there if the domain-search is
    incorrectly specified as a single string of multiple space-separated
    domains.
  * debian/dhclient-script.{linux,kfreebsd}: only prepend the contents of the
    domain-name option to the contents of the domain-search option if it is
    not already present
  * debian/rules: remove client/scripts/debian on clean (closes: #486514)
  * debian/{dhcp3-server.init.d,dhcp3-server.postinst}: apply patch from
    Martin Pitt to not call init script on halt/reboot. Also remove stop
    symlinks from runlevels 0 and 6 for people upgrading (closes: #486518)
  * debian/dhcp3-server.init: applied patch from Martin Pitt to use LSB
    functions (closes: #486508)
  * debian/control: add lsb-base to dependencies of dhcp3-server

 -- Andrew Pollock <apollock@debian.org>  Mon, 16 Jun 2008 21:11:57 -0700

dhcp3 (3.1.1-1) unstable; urgency=low

  * New upstream release
  * Refit debian/patches/dhclient.c.stale-pids.dpatch
  * Remove debian/patches/fix-agent-options.dpatch (fixed upstream)
  * debian/dhcp3-server.init: add slapd to Should-{Start,Stop} (closes:
    #478662)
  * Apply kfreebsd patch unconditionally (closes: #470989)
  * debian/dhclient-script.{linux,kfreebsd}: Applied patch from Bart Oldeman
    to really fix support for point-to-point Ethernet (closes: #472962)

 -- Andrew Pollock <apollock@debian.org>  Wed, 14 May 2008 22:44:23 -0700

dhcp3 (3.1.0-5) unstable; urgency=low

  * debian/control: Make priority of dhcp3-server-ldap optional (closes:
    #469514)

 -- Andrew Pollock <apollock@debian.org>  Tue, 11 Mar 2008 12:02:43 -0700

dhcp3 (3.1.0-4) unstable; urgency=low

  * Created a dhcp3-server-ldap package (Gracias José L. Redrejo Rodríguez)
    (Closes: #215968):
    - debian/control: added needed dependencies for building the new package.
    - created debian/patches/dhcp-3.1.0-ldap-docs.dpatch  and
      debian/patches/dhcp-3.1.0-ldap-code.dpatch files.
    - debian/rules: modified to build both versions of dhcp3-server.
    - Added needed debian/dhcp3-server-ldap.* files.
  * debian/copyright: revamped
  * debian/control: formally becoming the maintainer after 3 years

 -- Andrew Pollock <apollock@debian.org>  Sun, 02 Mar 2008 22:26:51 -0800

dhcp3 (3.1.0-3) unstable; urgency=low

  * debian/dhclient-script.{linux,kfreebsd}: modified per Thomas Brunko's
    suggestion to handle transitioning from sites that were using the
    domain-name option with multiple domains to jury rig a search path.
  * debian/control: remove Matt Zimmerman from Uploaders at his request
  * debian/dhclient-script.{linux,kfreebsd}: if there's a domain-name option
    and no domain-search option, put the domain-name option contents into the
    search line of /etc/resolv.conf (closes: #462570)
  * Updated Japanese debconf template translation (closes: #463239)
  * Added a patch to make dhclient ignore ARPHRD_VOID interfaces (closes:
    #463499)
  * Added patch from Frédéric Brière to fix spurious "option space agent does
    not exist, but is configured" messages from dhclient (closes: #460833,
    #460837)
  * debian/dhcp3-client.NEWS: thoroughly discussed the new domain-search
    option and the new treatment of the domain-name option in light of it
  * debian/dhcp3-server.NEWS: advised against putting multiple domains in the
    domain-search option

 -- Andrew Pollock <apollock@debian.org>  Sun, 03 Feb 2008 15:11:06 -0800

dhcp3 (3.1.0-2) unstable; urgency=low

  * debian/dhclient-script.{linux,kfreebsd}: Applied patch from Yves-Alexis
    Perez to properly remove all instances of \032 in the domain-search option
    not just the first one (closes: #461056)
  * Applied patch from Frans Pop to incorporate the light-weight
    debian-installer dhclient-script into the dhcp3-client-udeb package
    (closes: #461098, #313866)
  * debian/dhclient-script.{linux,kfreebsd}: added fix suggested by Helmar
    Gerloni for static leases without a default gateway option (closes:
    #399084)

 -- Andrew Pollock <apollock@debian.org>  Fri, 18 Jan 2008 16:35:39 -0800

dhcp3 (3.1.0-1) unstable; urgency=low

  * New upstream release
  * Removed patch for #152287 to increase IP TTL, as upstream now increase it
    even further
  * Refit patches
  * debian/rules: only call "make distclean" if Makefile exists
  * debian/control: change ${Source-Version} to ${binary:Version}
  * debian/control: bumped Standards-Version to 3.7.3
  * debian/dhcp3-{relay,server}.init.d: applied patches from Petter
    Reinholdtsen to correct LSB headers (closes: #458509)
  * debian/dhcp3-client.postinst: applied patch from Michael Vogt to fix
    upgrading in non-interactive mode (closes: #456891)
  * debian/dhclient-script.{linux,kfreebsd}: Added domain-search (option 119)
    support (closes: #274308)
  * debian/dhclient.conf: request domain-search as well (closes: #274308)
  * debian/dhclient-script.{linux,kfreebsd}: if the domain-name option is set,
    set "domain" in /etc/resolv.conf, if the domain-search option is set, set
    "search" in /etc/resolv.conf
  * debian/dhclient-script.kfreebsd: Syncronised a bunch of previous changes
    to the Linux-specific version
  * debian/dhcp3-relay.dirs: usr/share/man/man5 was empty, stop making it
  * Updated Basque debconf template translation (closes: #457286)
  * Added Finnish debconf template translation (closes: #447401)
  * Added Slovak debconf template translation (closes: #438574)
  * debian/rules: Applied patch from Neil Williams to add cross build support
    (closes: #451139)

 -- Andrew Pollock <apollock@debian.org>  Sun, 13 Jan 2008 17:32:12 -0800

dhcp3 (3.0.6-1) unstable; urgency=low

  * New upstream release
  * debian/rules: remove Conflicts: dhcp-client-udeb for dhcp3-client-udeb
  * Added Korean debconf template translation (closes: #429773)
  * Updated Dutch debconf template translation (closes: #427533)
  * Remove patch to fix #147582 as it has been incorporated upstream
  * Removed documentation patch as it has been incorporated upstream

 -- Andrew Pollock <apollock@debian.org>  Fri, 20 Jul 2007 23:25:29 -0700

dhcp3 (3.0.5-3) unstable; urgency=low

  * debian/rules: Don't ship dhclient-script in the udeb (closes: #398966)
  * debian/dhcp3-client-udeb.postinst: symlink /etc/dhclient-script to
    /sbin/dhclient-script until netcfg installs it in the right place

 -- Andrew Pollock <apollock@debian.org>  Sat, 23 Jun 2007 16:06:51 +0100

dhcp3 (3.0.5-2) unstable; urgency=low

  * The "as Lintian clean as it's gonna get" release
  * debian/rules: Invoke configure such that the compiler flags can be
    influenced by DEB_BUILD_OPTIONS (I finally figured it out)
  * debian/dhcp-{prerm,postinst}.{prerm,postinst}: unconditionally use invoke-rc.d
  * debian/control: Bumped Standards-Version to 3.7.2.2 (huzzah! finally!)
  * debian/dhclient.conf: revert change in 3.0.5-1 to not request anything
    in particular, seems to break some peoples networking (closes: #430064)
  * debian/dhclient.conf: request ntp-servers as well (closes: #407667)

 -- Andrew Pollock <apollock@debian.org>  Fri, 22 Jun 2007 13:33:39 +0100

dhcp3 (3.0.5-1) unstable; urgency=low

  * New upstream release
  * Remove patch for 64-bit, it's fixed upstream
  * debian/rules: move debhelper compatibility level setting to debian/compat
  * debian/dhclient.conf: don't restrict what parameters will be received (closes: #398378, #407667)
  * Remove a bunch of debconf messages that pertain to upgrading from Sarge (closes: #422037)
  * Updated Vietnamese debconf template translation (closes: #426993)
  * Updated German debconf template translation (closes: #428453)
  * Updated Portuguese debconf template translation (closes: #426919)
  * Updated Czech debconf template translation (closes: #427018)
  * Updated Russian debconf template translation (closes: #427823)
  * Added Tamil debconf template translation (closes: #428133)
  * Updated Italian debconf template translation (closes: #428152)
  * Updated Turkish debconf template translation (closes: #426490, #426400, #417548)
  * Updated Swedish debconf template translation (closes: #426270)
  * Updated Galician debconf template translation (closes: #426285)
  * Updated Spanish debconf template translation (closes: #426434)
  * Added Basque debconf template translation (closes: #426496)
  * Debconf templates and debian/control reviewed by the debian-l10n-english
    team as part of the Smith review project (closes: #425704)

 -- Andrew Pollock <apollock@debian.org>  Sat, 16 Jun 2007 14:21:59 +0000

dhcp3 (3.0.4-14) unstable; urgency=low

  * Updated Portuguese debconf template translation (closes: #413765)

 -- Andrew Pollock <apollock@debian.org>  Tue,  6 Mar 2007 20:14:46 -0800

dhcp3 (3.0.4-13) unstable; urgency=low

  * Added Portuguese debconf template translation (closes: #389507)
  * Added Galician debconf template translation (closes: #405394)
  * Updated Czech debconf template translation (closes: #407808)
  * Updated Swedish debconf template translation (closes: #407844)

 -- Andrew Pollock <apollock@debian.org>  Sun, 21 Jan 2007 15:48:22 -0800

dhcp3 (3.0.4-12) unstable; urgency=high

  * The final chapter in the ongoing saga of the override file discrepancies
  * debian/control: dhcp3-client-udeb Priority: extra

 -- Andrew Pollock <apollock@debian.org>  Fri, 15 Dec 2006 04:06:20 -0800

dhcp3 (3.0.4-11) unstable; urgency=high

  * debian/control: make Priority: standard for dhcp3-client-udeb (I swear
    I'll get rid of these override disparities eventually)
  * Updated Italian debconf template translation (closes: #395074)
  * Updated Dutch debconf template translation (closes: #395958)
  * Updated Japanese debconf template translation (closes: #396205)
  * Updated German debconf template translation (closes: #396960)
  * Updated Russian debconf template translation (closes: #398812)
  * Updated Brazilian Portuguese debconf template translation (closes:
    #400528)
  * Updated Spanish debconf template translation (closes: #401966)
  * Updated French debconf template translation (closes: #402211)

 -- Andrew Pollock <apollock@debian.org>  Sat,  9 Dec 2006 12:33:51 -0800

dhcp3 (3.0.4-10) unstable; urgency=low

  * debian/control: make Priority: optional for dhcp3-{server,relay,dev} and
    udeb
  * debian/dhclient-script.*: ignore insane MTU values
  * debian/control: dhcp3-client suggests avahi-autoipd (closes: #391925)
  * Added patch to dhclient to not tie up the current working directory
    (closes: #387723)
  * debian/dhcp3-{server,relay}.prerm: only try to call init script if it
    exists (closes: #387667)

 -- Andrew Pollock <apollock@debian.org>  Tue, 17 Oct 2006 22:08:54 -0700

dhcp3 (3.0.4-9) unstable; urgency=low

  * Updated Italian debconf template translation (closes: #386692)
  * Updated Dutch debconf template translation (closes: #386766)
  * debian/dhcp3-{client,relay}.templates: improved some of the wording
    (closes: #386764)
  * Updated Russian debconf template translation (closes: #387172)
  * Updated French debconf template translation (closes: #389003)
  * debian/dhcp3-{server,relay}.init: added LSB comment block
  * debian/dhcp3-client.postinst: made the priority of a couple of debconf
    notes "high" (closes: #388885)
  * debian/control: increased Priority to important

 -- Andrew Pollock <apollock@debian.org>  Sat, 14 Oct 2006 21:47:52 -0700

dhcp3 (3.0.4-8) unstable; urgency=high

  * urgency=high because of fix for RC bug
  * Added a mention of dhcp-eval(5) to dhclient(8) and dhclient.conf(5)
    (closes: #382177)
  * debian/rules: call debconf-updatepo before dh_clean, not after (closes:
    #384169)
  * debian/{dhcp3-client,dhcp3-relay,dhcp3-server}.template: rephrased
    descriptions and corrected typos (closes: #384180)
  * dhcp3-client.preinst: do not clobber the dhclient.conf that ships with the
    package when upgrading from dhcp-client (v2), just copy it aside (only if
    it was modified) (closes: #386051)
  * dhcp3-client.postinst: when upgrading from dhcp-client (v2), clobber the
    dhclient.conf that ships with the package with the version that was copied
    aside from dhcp-client
  * debian/control: build-depend on po-debconf

 -- Andrew Pollock <apollock@debian.org>  Fri, 25 Aug 2006 21:40:45 -0700

dhcp3 (3.0.4-7) unstable; urgency=low

  * Added debconf templates to mention that dhclient doesn't get restarted
    (closes: #368922)
  * debian/patches/Makefile.dpatch: removed hunks that stopped manpage
    token substitution from occurring, modify value for ETC so manpage paths
    are all anatomically correct (closes: #162808)
  * Updated Brazilian Portuguese debconf template translation (closes:
    #374031)
  * Updated Turkish debconf template translation
  * Updated Japanese debconf template translation
  * Added Italian debconf template translation (grazie Luca Monducci) (closes:
    #381830)
  * Updated documentation patch to fix a couple of spelling mistakes in
    dhcpd3(8) and dhcpd.conf(5) (closes: #383117, #383122)

 -- Andrew Pollock <apollock@debian.org>  Sun, 20 Aug 2006 14:12:28 -0700

dhcp3 (3.0.4-6) unstable; urgency=high

  * The "For crying out loud, actually apply the patch" release
  * debian/patches/00list: really apply the 64-bit patch (closes: #368302)
  * debian/dhclient.conf: also request the interface-mtu setting (closes:
    #372689)
  * Updated Brazilian Portuguese debconf template translation (closes:
    #374031)

 -- Andrew Pollock <apollock@debian.org>  Tue, 20 Jun 2006 11:11:59 -0700

dhcp3 (3.0.4-5) unstable; urgency=low

  * The "There can never be too much testing" release
  * debian/dhcp3-client.postinst: move debconf note about dhclient-script
    moving to /sbin to postinst
  * debian/dhcp3-client.config: now redundant, remove
  * debian/dhcp3-relay.prerm: fix if-clause (closes: #370173)
  * Incorporate upstream patch to fix problems on 64-bit architectures
    (closes: #368302)
  * debian/dhcp3-server.init.d: be less verbose when configuration fails
    verification (closes: #369595)
  * dhcp3-client: override Lintian warnings for no-debconf-config and
    postinst-uses-db-input

 -- Andrew Pollock <apollock@debian.org>  Tue,  6 Jun 2006 22:48:40 -0700

dhcp3 (3.0.4-4) unstable; urgency=high

  * Added a patch (still awaiting one from upstream) to fix problems on 64-bit
    architectures (closes: #368302)

 -- Andrew Pollock <apollock@debian.org>  Mon, 22 May 2006 16:28:09 -0700

dhcp3 (3.0.4-3) unstable; urgency=low

  * The "I really need to use revision control for this package" release
  * debian/rules: invoke dh_builddeb the right way so the udeb gets uploaded
  * Updated Brazilian Portuguese debconf template translation

 -- Andrew Pollock <apollock@debian.org>  Sun, 21 May 2006 14:50:06 -0700

dhcp3 (3.0.4-2) unstable; urgency=low

  * The "Return of the udeb" release
  * It's baaaack! Re-add udeb support to debian/rules and debian/control
  * debian/rules: install dhclient-script into /sbin instead of /etc (closes:
    #336290)
  * debian/dhcp3-client.preinst: remove /etc/dhcp3/dhclient-script if it
    hasn't changed from the previous version of the package
  * debian/dhcp3-client.postrm: only try to remove /var/lib/dhcp3 if it exists
  * debian/dhcp3-client.config: add message if /etc/dhcp3/dhclient-script has
    been customised notifying that it won't be used any more (but kept)
  * really apply Martin Pitt's patch to prevent multiple dhclients starting on
    the same interface (closes: #178885)
  * really apply patch to close lease database before calling dhclient-script
  * Updated Spanish debconf template translation
  * Updated Russian debconf template translation (closes: #367139, #367174)
  * Updated Vietnamese debconf template translation

 -- Andrew Pollock <apollock@debian.org>  Mon, 15 May 2006 07:17:50 -0700

dhcp3 (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch
  * Stripped non-free documents from source tarball (closes: #365191)
  * Cease applying and remove dhcpd.conf manpage and unknown interfaces
    patches as they are now incorporated upstream

 -- Andrew Pollock <apollock@debian.org>  Sat,  6 May 2006 17:24:50 -0700

dhcp3 (3.0.3-9) unstable; urgency=low

  * debian/dhcp3-common.docs: don't install the RFCs (closes: #365191)

 -- Andrew Pollock <apollock@debian.org>  Sat, 29 Apr 2006 10:18:15 -0700

dhcp3 (3.0.3-8) unstable; urgency=low

  * debian/patches/00list.kfreebsd-i386 copied to 00list.kfreebsd-amd64 to
    address the same FTBFS issue on kfreebsd-amd64 (closes: #355279)
  * Updated Dutch debconf template translation (closes: #358055)

 -- Andrew Pollock <apollock@debian.org>  Sat, 25 Mar 2006 19:29:11 -0800

dhcp3 (3.0.3-7) unstable; urgency=low

  * The "I'm sick of asking for dhcp3 to be allowed into testing because it
    makes a udeb" release
  * Stop making dhcp3-client udeb (it isn't being used anyway)
  * Updated French debconf template translation (closes: #345389)
  * Updated German debconf template translation (closes: #345695)
  * debian/rules: bump debhelper compatibility level to 4
  * Updated Swedish debconf template translation (closes: #347604)
  * debian/control: bump build-dependency on dpkg-dev to 1.13.2 (closes:
    #352495)

 -- Andrew Pollock <apollock@debian.org>  Wed, 22 Feb 2006 15:44:05 -0800

dhcp3 (3.0.3-6) unstable; urgency=low

  * The "Long time coming" release
  * Updated Czech debconf template translation
  * Added Spanish debconf template translation (gracias César) (closes:
    #336065)
  * Fix dhclient-script (Linux version) to pass argument to exit_with_hooks()
    to the hooks themselves (closes: #289943)
  * Fixed file locations in debconf note on next-server (closes: #340123)
  * debian/control: increased Priority to standard (closes: #340138)
  * debian/control: removed references to non-support of kernels that are no
    longer shipping with Debian anyway (closes: #344174)

 -- Andrew Pollock <apollock@debian.org>  Wed, 28 Dec 2005 12:28:02 -0800

dhcp3 (3.0.3-5) unstable; urgency=low

  * Updated French debconf template translation (closes: #331683)
  * debian/control: Removed debconf dependency, put ${misc:Depends} instead,
    to fix explicit dependency on debconf (closes: #331800)
  * Added Swedish debconf template translation (Tack Daniel Nylander) (closes:
    #333492)

 -- Andrew Pollock <apollock@debian.org>  Wed, 12 Oct 2005 21:24:59 +1000

dhcp3 (3.0.3-4) unstable; urgency=low

  * Renamed debian/patches/00list.kfreebsd to
    debian/patches/00list.kfreebsd-i386 so it actually gets applied on
    kfreebsd (closes: #328637)
  * debian/rules: added debconf-updatepo to clean target (closes: #328844)
  * Updated Dutch debconf template translation (closes: #329437)
  * Updated Vietnamese debconf template translation
  * Added patch from Marius Gedminas to ignore irda0 (closes: #239907)
  * Extended above patch to ignore sit0 interface (closes: #256851)
  * Extended above patch to ignore IEEE1394 interfaces
  * debian/rules: install Japanese manpages into /usr/share/man/ja (closes:
    #285838)

 -- Andrew Pollock <apollock@debian.org>  Mon, 26 Sep 2005 13:56:54 +1000

dhcp3 (3.0.3-3) unstable; urgency=low

  * The "principle of least surprise" release
  * dhcp3-server.template: Added debconf note regarding change in next-server
    behaviour
  * dhcp3-server.config: display aforementioned note for upgrades from
    anything prior to this version.
  * Updated Russian template translation (closes: #328093)
  * Patched dhcpd.conf.5 manpage to update behaviour of next-server directive
    (closes: #327829, #328254)
  * debian/*.doc: only install documentation into dhcp3-common (closes:
    #286006)
  * debian/control: make the udeb Priority: extra
  * debian/dhclient-script.linux: applied patch from Samuel Thibault to
    only mess with the IPv4 settings on the interface (closes: #323254)
  * debian/dhclient-script.{linux,kfreebsd}: remove triplication of content
    (closes: #325691)
  * Rejigged dpatch patch so kfreebsd patch is only applied on kfreebsd
  * debian/debug-exit: fixed comment to correctly indicate how to enable
    (closes: #267639)

 -- Andrew Pollock <apollock@debian.org>  Fri, 16 Sep 2005 20:23:10 +1000

dhcp3 (3.0.3-2) unstable; urgency=low

  * debian/control: change priority to optional (I'll get this right
    eventually)
  * Really get that NEWS.Debian into the dhcp3-server package... (closes:
    #325392)

 -- Andrew Pollock <apollock@debian.org>  Sun, 28 Aug 2005 21:22:32 +1000

dhcp3 (3.0.3-1) unstable; urgency=low

  * New upstream release (closes: #324886)
  * Added NEWS.Debian regarding change in functionality with respect to
    next-server now being required for booting.

 -- Andrew Pollock <apollock@debian.org>  Thu, 25 Aug 2005 13:47:41 +1000

dhcp3 (3.0.2-4) unstable; urgency=low

  * Added patch from Aurelien Jarno to support GNU/kFreeBSD (closes: #321028)
  * debian/dhcp3-server.preinst: fixed bashism
  * debian/dhcp3-relay.prerm: fixed bashisms
  * debian/dhcp3-client.preinst: fixed bashisms
  * Updated Czech debconf templates translation (closes: #321734)
  * debian/dhcp3-server.init.d: Applied patch from Stephen Gildea to provide
    status option (closes: #320683)

 -- Andrew Pollock <apollock@debian.org>  Thu, 25 Aug 2005 10:38:46 +1000

dhcp3 (3.0.2-3) unstable; urgency=low

  * debian/rules: fixed up installation of client/scripts/debian in build
    target (closes: #320713)

 -- Andrew Pollock <apollock@debian.org>  Mon,  1 Aug 2005 20:20:08 +1000

dhcp3 (3.0.2-2) unstable; urgency=low

  * debian/control: change to Priority: extra
  * debian/dhcp3-server.config: lower priority for interfaces question and
    remove note about requiring configuration (closes: #225893)
  * debian/dhclient-script: avoid any possibility of mv asking questions
    (closes: #238823)
  * debian/control: bumped Standards-Version to 3.5.7
  * debian/dhcp3-server.init.d: removed bashism in test_config() (closes:
    #315309, #316729)
  * Updated Vietnamese debconf template translation (closes: #315806)
  * Updated Dutch debconf template translation (closes: #315844)
  * Updated French debconf template translation (closes: #316058)

 -- Andrew Pollock <apollock@debian.org>  Wed, 29 Jun 2005 13:27:02 +1000

dhcp3 (3.0.2-1) unstable; urgency=low

  * The "Look Mum, it's nearly Lintian clean!" release
  * New upstream release
  * debian/dhcp3-server.postinst: Applied patch from Robert Millan to handle
    interface names with slashes in them (closes: #290431)
  * debian/dhcp3-server.postinst: move startup to 40 instead of 20 so as to
    allow PCMCIA interfaces to exist (closes: #292357)
  * debian/dhcp3-server.init.d: explictly define a $PATH (closes: #311723)
  * Added Russian debconf templates translation (спасибо Yuriy Talakan)
    (closes: #310074)
  * debian/dhcp3-server.templates: fixed typo (closes: #310225)
  * debian/dhcp3-server.init.d: only restart if the config file is sane
    (closes: #300513)
  * Added Vietnamese debconf templates translation (Cám ón ông Clytie Siddall)
    (closes: #310224)
  * Added Czech debconf templates translation (dêkuji Jan Outrata) (closes:
    #266574)
  * Added Brazilian Portuguese debconf templates translation (Obrigado!,
    Obrigada! Andre Luis Lopez) (closes: #281989)
  * debian/rules: use dh_link to make a policy compliant dhclient -> dhclient3
    symlink
  * debian/control: Add dpatch to build-dependencies
  * debian/rules: rejig to use dpatch
  * redo all patches for dpatch.
  * debian/changelog: fixed a dodgey email address that made Lintian cry
  * debian/dhclient-script: applied patch from Faidon Liambotis to support
    point-to-point Ethernet links (netmask of 255.255.255.255) (closes:
    #283388)
  * Don't install the omshell.1 manpage incorrectly into section 3 in
    dhcp3-server as well as correctly in section 1 in dhcp3-common
  * Applied patch from Martin Pitt to prevent multiple dhclients starting on
    the same interface (closes: #178885)
  * Applied patch from Olivier Houchard to add libdst.a to dhcp3-dev (closes:
    #220525)
  * debian/control: [dhcp3-client] make conflict with dhcp-client versioned
    (closes: #279338)
  * debian/control: [dhcp3-client-udeb] Added XC-Package-Type: udeb
  * debian/rules: Removed all the special-case handling for dhcp3-client-udeb

 -- Andrew Pollock <apollock@debian.org>  Thu, 16 Jun 2005 20:50:34 +1000

dhcp3 (3.0.1-2) unstable; urgency=high

  * The "Let's fix those really old and annoying bugs" release
  * urgency=high because I'd like this to make sarge before any potential
    freezing of udebs for d-i rc3 (but I've probably missed the boat anyway)
  * debian/control: Adding myself to Uploaders:
  * debian/dhclient-script: Remove useless checks for kernel versions that
    this doesn't even work with, and causes errors on systems that mount /usr
    via NFS (closes: #269014, #286011)
  * debian/dhclient-script: Applied patch from Paul Kremer to update
    /etc/resolv.conf if only a nameserver is provided (closes: #159529,
    #171797, #287693)
  * debian/control: rephrased description synopsis for dhcp3-common

 -- Andrew Pollock <apollock@debian.org>  Mon, 28 Feb 2005 22:24:47 +1100

dhcp3 (3.0.1-1) unstable; urgency=low

  * New upstream version.
  * Apply patch from martin f krafft <madduck@debian.org> to get rid
    of /etc/dhcp3/{dhclient-enter-hooks.d/debug-enter,
    dhclient-exit-hooks.d/debug-exit} if they exist. I am not implementing
    for now Thomas Hood <jdthood@yahoo.co.uk>'s suggestion in #200501 of
    grepping the hook scripts for "exit". I might do so in the future
    if this continues to cause problems.
    (closes: #255555, #200501)
  * Depend on debianutils >= 2.8.2. (closes: #255997)
  * Document dhclient's -e option. Thanks Chip Salzenberg
    <chip@tytlal.perlsupport.com>. (closes: #235994)
  * Add German translation of the debconf templates. Thanks
    Erik Schanze <schanzi_usenet@gmx.de>. (closes: #252178)
  * Add Turkish translation of the debconf templates. Thanks
    Recai Oktas <roktas@omu.edu.tr>. (closes: #249126)
  * Add Duth translation of the debconf templates. Thanks
    Frans Pop <aragorn@tiscali.nl>. (closes: #239243)
  * Add Japanese translation of the debconf templates. Thanks
    Hideki Yamane <henrich@samba.gr.jp> and Kenshi Muto <kmuto@debian.org>.
    (closes: #226948)
  * dhcp3-client suggests resolvconf. (closes: 208094)

 -- Eloy A. Paris <peloy@debian.org>  Wed, 21 Jul 2004 10:24:45 -0400

dhcp3 (3.0+3.0.1rc14-1) unstable; urgency=high

  * New upstream version. Urgency high because of this version fixes
    multiple vulnerabilities. See:
    http://www.us-cert.gov/cas/techalerts/TA04-174A.html.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 22 Jun 2004 15:04:18 -0400

dhcp3 (3.0+3.0.1rc13-2) unstable; urgency=low

  * Incorporate debconf translation for French. Thanks Nicolas
    Bertolissio <nico.bertol@free.fr>, Christian Perrier
    <bubulle@debian.org> and the people in the debian-l10n-french
    mailing list. (closes: #211279)
  * Patch from Chip Salzenberg <chip@debian.org> to specify the interface
    name when adding a route, in case there are multiple interfaces on the
    same subnet (Closes: #235977)
  * Patch from Chip Salzenberg <chip@debian.org> to allow for specifying a
    route metric using a "metric" option in /etc/network/interfaces
    (Closes: #235136)
  * Call "update-rc.d ... remove" from dhcp3-{server,relay}.postrm.

 -- Eloy A. Paris <peloy@debian.org>  Wed, 26 May 2004 13:06:59 -0400

dhcp3 (3.0+3.0.1rc13-1) unstable; urgency=low

  * Eloy Paris <peloy@debian.org>:
    - New upstream version. (closes: #231577)
      + Dropping dhcrelay.c.patch since a similar version is now
        included upstream. This patch was applied in 3.0+3.0.1rc11-3
        to prevent a DoS condition.
    - Have the dhcp3-server init script exit if dhcp3 is removed but not purged
      by testing for the existence of /usr/sbin/dhcpd3 (Closes: #201086)
    - Tighten versioned dependency on debianutils, since we need run-parts
     --list (Closes: #204329)
    - Added the "netbios-scope" option to the list of options the DHCP
      client requests from the server to play nicely with the samba
      package.
    - Prevent dh_md5sums from creating a md5sums file for dhcp3-client-udeb.
  * Matt Zimmerman <mdz@debian.org>:
    - Switch to using a Debian-specific dhclient-script, rather than
      patching upstream's "linux" one
    - More or less rewrite dhclient-script
      - Clean up accumulated shell nastiness
      - Improve readability
      - Be careful when handling resolv.conf, to avoid breaking it
        if something goes wrong (Closes: #211261)
      - New resolv.conf handling is also symlink-friendly (Closes: #177846)
      - Treat a hostname of "(none)" the same as a null hostname
        (Closes: #165086)
      - Still proceed with resolver configuration if nameservers are available
        but a domain name is not (Closes: #110927)
      - Use exit status 2, rather than 1, to indicate that binding failed,
        so that unrelated errors do not result in DHCPDECLINE (your ISP will
        thank you)
    - Don't let a failing dhcp3-server init script abort installation; it
      will usually be unconfigured on new installations (Closes: #217769)
    - Increase IP TTL for DHCP packets from 16 to 128 (Closes: #152287)
    - Apply patch from Christian Perrier <bubulle@debian.org> to switch to
      using po-debconf (Closes: #208549)
    - Have dhcpd chdir to / as a well-behaved daemon should
      (Closes: #95262)

 -- Eloy A. Paris <peloy@debian.org>  Tue, 24 Feb 2004 12:06:30 -0500

dhcp3 (3.0+3.0.1rc11-5) unstable; urgency=low

  * We now source the scripts in /etc/dhcp3/dhclient-{exit,enter}-hooks.d
    instead of executing them. Updated the sample debug-enter and
    debug-exit scripts to accomodate this change. Thanks go to Thomas
    Hood for the patch, the patience and the perseverance :)
    (closes: #171798, #196476)
  * Added debconf question for dhcp3-relay options. Thanks to Ralf
    Heiringhoff <rh@mediaways.net> for the patch. (closes: #165054)
  * Several changes to /etc/dhcp3/dhclient-script:
      - Source hooks instead of executing them (see above).
      - Call logger if one hook returns a non-zero exit status.
      - Not exporting dhclient-script's variables since we are now
        sourcing instead of executing.
  * Fixed /etc/init.d/dhcp3-server so it returns an error code of 1 if
    dhcpd can't start. Thanks to Alexander R. Perlis <aprl@math.arizona.edu>.
    Closes: #198992.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 30 Jun 2003 15:53:31 -0400

dhcp3 (3.0+3.0.1rc11-4) unstable; urgency=low

  * Exit with an exit status of 0 in /etc/init.d/dhcp3-server if
    /etc/default/dhcp3-server does not exist so the init script can
    be called with a "stop" argument and package removal does not
    fail if this file does not exist. (closes: #184943 - missing
    config file blocks package removal)
  * Added verbiage to the package descriptions to make it clear what
    the difference between these packages and the dhcp3-* packages is.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 16 Mar 2003 21:48:38 -0500

dhcp3 (3.0+3.0.1rc11-3) unstable; urgency=low

  * Preserve ownership/permissions of /etc/default/dhcp3-{server,relay}
    in dhcp3-{server,relay}.postinst.
  * Applied patch to dhcrelay from Florian Lohoff <flo@rfc822.org> to
    prevent DoS attack against DHCP servers by sending malicious BOOTP
    packets to the DHCP relay.
  * Tweak dhcp3-{server,relay}.config so user configuration in
    /etc/default/dhcp3-{server,relay} is preserved when the packages
    are upgraded. (closes: #177933)

 -- Eloy A. Paris <peloy@debian.org>  Wed, 29 Jan 2003 14:44:48 -0500

dhcp3 (3.0+3.0.1rc11-2) unstable; urgency=low

  * s/netbios-name-server/netbios-name-servers/ in sample
    dhclient.conf. (closes: #177232)

 -- Eloy A. Paris <peloy@debian.org>  Sat, 18 Jan 2003 10:52:53 -0500

dhcp3 (3.0+3.0.1rc11-1) unstable; urgency=low

  * New upstream version - fixes potential buffer overflow reported by
    the ISC.
  * During purge, don't try to remove /var/lib/dhcp3 if it doesn't exist
    (Closes: #173328)
  * Added a "require" statement to the provided conffile
    /etc/dhcp3/dhclient.conf so the DHCP client requests from the DHCP
    server the netbios-name-server DHCP in addition to the default DHCP
    options (closes: #175501)

 -- Eloy A. Paris <peloy@debian.org>  Thu, 16 Jan 2003 09:58:40 -0500

dhcp3 (3.0+3.0.1rc10-1) unstable; urgency=low

  * New upstream version.
  * Minor fixes to dhcp-eval.5. (Closes: #158007)

 -- Eloy A. Paris <peloy@debian.org>  Thu,  7 Nov 2002 21:32:08 -0500

dhcp3 (3.0+3.0.1rc9-5) unstable; urgency=low

  * In dhcp3-server postinst, create the temp file for rewriting
    /etc/default/dhcp3-server in the same directory as the file itself.
    This helps SE Linux create it with the correct type.

 -- Eloy A. Paris <peloy@debian.org>  Sat, 27 Jul 2002 13:23:37 -0400

dhcp3 (3.0+3.0.1rc9-4) unstable; urgency=low

  * Make the default IP time to live compliant with the RFC (it was
    16 and it should be 64 according to Chad Walstrom
    <chewie@wookimus.net>). Thanks Chad.

 -- Eloy A. Paris <peloy@debian.org>  Thu, 25 Jul 2002 22:43:16 -0400

dhcp3 (3.0+3.0.1rc9-3) unstable; urgency=low

  * Close lease database before executing dhclient-script (not need
    to have it open, possible security risk.) (Closes: #147582)
  * Quoting shell variables in dhclient-script. (Closes: #150006)
  * Make sure /var/lib/dhcp3/ exists before attempting to remove it
    in dhcp3-server.postrm. (Closes: #151844)

 -- Eloy A. Paris <peloy@debian.org>  Tue,  9 Jul 2002 00:07:41 -0400

dhcp3 (3.0+3.0.1rc9-2) unstable; urgency=low

  * Fix silly mistake in dhclient-script. This slipped in when I
    prepared 3.0.1rc9 in a hurry. (Closes: #146450)

 -- Eloy A. Paris <peloy@debian.org>  Thu,  9 May 2002 23:22:20 -0400

dhcp3 (3.0+3.0.1rc9-1) unstable; urgency=low

  * New upstream release.
  * Minor fix to a comment in the sample /etc/dhcp3/dhcpd.conf.
    (Closes: #145008)

 -- Eloy A. Paris <peloy@debian.org>  Wed,  8 May 2002 14:47:05 -0400

dhcp3 (3.0+3.0.1rc8-7) unstable; urgency=low

  * Applied patch from Joshua Rosen <jrosen@transcept.com> that
    prevents dhclient-script from deconfiguring an interface when
    reason=TIMEOUT, which causes further DHCP broadcasts to fail.
    (Closes: #144666)
  * Make /etc/init.d/dhcp3-server not start if /etc/default/dhcp3-server
    does not exist. Same thing for /etc/init.d/dhcp3-relay.
    (Closes #144360)

 -- Eloy A. Paris <peloy@debian.org>  Sun,  5 May 2002 16:05:10 -0400

dhcp3 (3.0+3.0.1rc8-6) unstable; urgency=medium

  * /etc/dhcp3/dhclient-script now exports all important variables
    so the scripts in the .d directories have a clue of what's going
    on. See the debug-enter and debug-exit scripts in the .d
    directories for an example of what's available.
  * Fixed location of dhclient-script in the sample dhclient.conf (it
    was commented out, but just in case :)
  * Got rid of Wichert's rebindsignal patch as I think it is not
    needed for ISC DHCP version 3 (we have OMAPI now to control lots of
    things in dhclient's behavior.)
  * We are not calling anymore update-inetd to enable and disable bootps
    in dhcp3-server's postinst and postrm scripts respectively. This is
    historical baggage that we don't even now why it is there. So,
    we don't need to depend on netbase and people don't have to have
    inetd to be able to use the DCHP server. (Closes: #143337)

 -- Eloy A. Paris <peloy@debian.org>  Wed, 24 Apr 2002 22:15:02 -0400

dhcp3 (3.0+3.0.1rc8-5) unstable; urgency=low

  * Fixed typo in /etc/dhcp3/dhclient-script. (Closes: #141609)

 -- Eloy A. Paris <peloy@debian.org>  Sun,  7 Apr 2002 20:42:22 -0400

dhcp3 (3.0+3.0.1rc8-4) unstable; urgency=low

  * Commenting out all subnet declarations in the sample
    /etc/dhcp3/dhcpd.conf.
  * Hacked dhcpd.c so 'ddns-update-style' defaults to 'none' in the
    absence of this statement in the dhcpd.conf config. file.
    This gets rid of the misleading ddns-update-style message that
    shows up in the syslog. (Closes: #138677)
  * Added debconf note to clarify new non-authoritative behavior.
  * Make dhclient-script run the enter and exit hooks as documented in
    the man pages. In addition to this we are providing two
    directories where admins. can put additional scripts to be run
    by run-parts. (Closes: #139546)
  * Renamed binaries once again: dhcpd-3.x -> dhcpd3, etc. Renamed man
    pages so the have the same name as the binaries.
  * Created symlink /sbin/dhclient that points to /sbin/dhclient3.
    (Closes: #139071, #139134)
  * Added cheap logic to /etc/init.d/dhcp3-server to detect whether
    the DHCP server daemon started succesfully. (Closes: #138674)

 -- Eloy A. Paris <peloy@debian.org>  Wed, 27 Mar 2002 12:08:33 -0500

dhcp3 (3.0+3.0.1rc8-3) unstable; urgency=low

  * Remove excessive junk in syslog when the daemons start and
    there is a configuration problem. (Closes: #138564)
  * Minor fixes to README.Debian. (Closes: #138667)
  * Install README.Debian in all packages. (Closes: #138663)
  * Adding a ddns-update-style statement to the sample dhcpd.conf.
    Setting its value to 'none' to keep compatibility with dhcpd
    v2. (Closes: #138676)
  * Using /etc/default/dhcp3-server instead of /etc/default/dhcp and
    /etc/init.d/dhcp3-relay instead of /etc/default/dhcp-relay to 
    not conflict with the v2 packages.
  * Avoid data file conflicts with the old 2.x packages, so that purging
    the old packages doesn't remove files used by the new packages
    (Closes: #138693)
    - /var/lib/dhcp -> /var/lib/dhcp3
    - dhcpd -> dhcp-3.x
    - dhclient -> dhclient-3.x
    - dhcrelay -> dhcrelay-3.x
    - /etc/dhcp -> /etc/dhcp3
  * Migrate server and client leases from /var/lib/dhcp if they exist, for
    a smooth upgrade from 2.x
  * Add #DEBHELPER# token where missing
  * Rearrange ordering in maintainer scripts so that #DEBHELPER# stuff
    always gets executed

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Mar 2002 19:35:18 -0500

dhcp3 (3.0+3.0.1rc8-2) unstable; urgency=low

  * Fix typo in _PATH_DHCLIENT_CONF in debian/rules

 -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Mar 2002 18:42:36 -0500

dhcp3 (3.0+3.0.1rc8-1) unstable; urgency=low

  * First upload to unstable.
  * Addresses many bugs reported against the dhcp 2.x packages
  * New naming scheme ("old version + changes") to cope with upstream's
    naming convention. Matt and I don't like the previous naming convention
    we were using (3.0.1betaRC7-1, 3.0.1betaRC7-1, 3.0.1final-1, etc.)
    Now we will have a proper 3.0.1-1 when it is released.
  * Started to use invoke-rc.d so administrators can disable services 
    without worrying about these services being started during package 
    upgrades.

 -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Mar 2002 19:28:26 -0500

dhcp3 (3.0.1betaRC8-1) unstable; urgency=low

  * Move all config files to /etc/dhcp
  * Use DH_COMPAT=3
  * Rename source package to dhcp3

 -- Matt Zimmerman <mdz@debian.org>  Wed,  6 Mar 2002 00:22:37 -0500

dhcp (3.0.1betaRC7-1) unstable; urgency=low

  * New upstream version: 3.0.1 Release Candidate 7 (3.0.1rc6)
  * Renamed all packages to dhcp3*. The DHCP server now lives in
    the dhcp3-server package. New package dhcp3-common.
  * /etc/default/{dhcp3,dhcp3-relay} are generated by the postinst
    if they do not exist. The postrm then removes these files on
    purge.
  * debian/control: dhcp-relay3 does not conflict with dhcp3.
    Closes: #118906 dhcp-relay: Don't conflict with dhcp.

 -- Eloy A. Paris <peloy@debian.org>  Wed, 20 Feb 2002 23:10:32 -0500

dhcp (3.0.1betaRC4-1) experimental; urgency=low

  * This is 3.0.1 Release Candidate 4 (3.0.1RC4) Upstream continues
    with these goofy version numbers, forcing me to use goofy
    version numbers as well...

 -- Eloy A. Paris <peloy@debian.org>  Sat, 15 Dec 2001 21:42:54 -0500

dhcp (3.0final-1) experimental; urgency=low

  * Finally, 3.0 is here. Not uploading to unstable yet because that
    would destabilize the work the boot-floppies team is doing
    in preparation to woody's release. The problem is that the new
    dhclient is too big for the boot floppies.

 -- Eloy A. Paris <peloy@debian.org>  Fri,  5 Oct 2001 20:05:13 -0400

dhcp (3.0beta2RC12-1) experimental; urgency=low

  * New upstream version. This will hopefully be the last release
    before the final 3.0. Then this baby will go directly to unstable.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 24 Aug 2001 00:02:22 -0400

dhcp (3.0beta2RC11-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Wed, 15 Aug 2001 00:00:13 -0400

dhcp (3.0beta2RC10-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Sun,  1 Jul 2001 23:18:49 -0400

dhcp (3.0beta2RC9-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 29 Jun 2001 01:06:33 -0400

dhcp (3.0beta2RC8-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 18 Jun 2001 18:45:06 -0400

dhcp (3.0beta2RC7-6) experimental; urgency=low

  * Crap! It's not /var/state/, it's /var/lib/ !!! Moving leases to
    /var/lib/dhcp/.

 -- Eloy A. Paris <peloy@debian.org>  Fri,  1 Jun 2001 23:45:40 -0400

dhcp (3.0beta2RC7-5) experimental; urgency=low

  * Fixed dhcp and dhcp-client's postrm scripts to have correct new
    location of the lease databases.

 -- Eloy A. Paris <peloy@debian.org>  Wed, 30 May 2001 14:44:35 -0400

dhcp (3.0beta2RC7-4) experimental; urgency=low

  * Getting rid of all dhcp-client configuration work I did before:
    now there is not /etc/init.d/dhcp-client script and dhclient
    should be started by either the ifup mechanism (edit
    /etc/network/interfaces), or by the PCMCIA subsystem (the 
    /etc/pcmcia/network script - edit /etc/pcmcia/network.opts) This 
    should make things a lot easier for everybody.
  * Moved lease file from /var/dhcp/ to /var/state/dhcp/.

 -- Eloy A. Paris <peloy@debian.org>  Wed, 30 May 2001 12:40:43 -0400

dhcp (3.0beta2RC7-3) experimental; urgency=low

  * Reworked a bit configuration of dhcp-client: now the debconf variable 
    that controls how dhclient will start is not of type 'choice' but
    rather a 'boolean'. This simplifies some things.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 29 May 2001 00:08:14 -0400

dhcp (3.0beta2RC7-2) experimental; urgency=low

  * At long last, debconf support is here. Please be easy on me since
    this is my first debconf'nified package.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 28 May 2001 12:26:32 -0400

dhcp (3.0beta2RC7-1) experimental; urgency=low

  * New upstream version. This is 3.0 Release Candidate 7. I skipped
    RC[4-6].

 -- Eloy A. Paris <peloy@debian.org>  Fri, 18 May 2001 01:42:15 -0400

dhcp (3.0beta2RC3-1) experimental; urgency=low

  * New upstream version. This is 3.0 Release Candidate 3.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 27 Apr 2001 20:54:20 -0400

dhcp (3.0beta2RC2-1) experimental; urgency=low

  * New upstream version. This is 3.0 Release Candidate 2.
  * Changed section of package dhcp-dev from dev to devel.

 -- Eloy A. Paris <peloy@debian.org>  Sat, 21 Apr 2001 17:23:17 -0400

dhcp (3.0beta2RC1-1) experimental; urgency=low

  * New upstream version. This is 3.0 Release Candidate 1. This upstream
    version number (3.0rc1) screwed up my version numbers. Thanks to
    Joy, doogie and hmh on #debian-devel for the suggestion of this
    Debian version number.
  * /etc/init.d/dhcp: got rid of the flag that prevents dhcp from starting
    at boot time if set to 0. This was done to prevent starting until
    a valid /etc/dhcpd.conf was configured. Change requested by Joy
    on #debian-devel. I need to figure out a better way of handling this
    but right now I don't have time. Any bugs because of this will
    go to /dev/null until I find time to move to debconf and deal with
    this properly.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 17 Apr 2001 23:35:18 -0400

dhcp (3.0b2pl24-1) experimental; urgency=low

  * New upstream version.
  * Added groff to Build-depends.
    Closes: #88711: error in build dependencies.
    Closes: #91988: failed autobuild: missing groff build-depends.
  * Added force-reload support to /etc/init.d/dhcp.
    Closes: #89639: /etc/init.d/dhcp doesn't support force-reload.
  * dhclient-exit-hooks does not need to be executable in dhclient's script.
    Closes: #91306: dhclient-exit-hooks does not need to be executable.
  * Applied patch to dhclient.c from Wichert to force a DHCP refresh. Sorry
    it took so long, Wichert.
    Closes: #84883: force DHCP refresh.

 -- Eloy A. Paris <peloy@debian.org>  Sun,  8 Apr 2001 17:09:43 -0400

dhcp (3.0b2pl22-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 20 Mar 2001 17:55:11 -0500

dhcp (3.0b2pl21-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 20 Mar 2001 12:52:06 -0500

dhcp (3.0b2pl19-1) experimental; urgency=low

  * New upstream release.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 16 Mar 2001 18:14:28 -0500

dhcp (3.0b2pl18-1) experimental; urgency=low

  * New upstream release (don't know what happened with 3.0b2pl17.)

 -- Eloy A. Paris <peloy@debian.org>  Tue, 27 Feb 2001 16:15:04 -0500

dhcp (3.0b2pl16-2) experimental; urgency=low

  * Changed "if [ -x /etc/dhclient-enter-hooks ]; then ..." to
    [ -f /etc/dhclient-enter-hooks ]; then ..." in client/scripts/linux
    (the dhclient configuration script.) The script was checking that
    the file was executable but then it was dotting it, and for this it
    does not have to be executable.
    Closes: Bug#84768: dhcp-client: dhclient-enter-hooks does not need to be
            executable.

 -- Eloy A. Paris <peloy@debian.org>  Tue,  6 Feb 2001 22:56:05 -0500

dhcp (3.0b2pl16-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Tue,  6 Feb 2001 22:56:00 -0500

dhcp (3.0b2pl15-2) experimental; urgency=low

  * Created two new packages: dhcp-dev and dhcp-client-udeb. dhcp-dev
    contains the files that provide an API for accessing and modifying 
    the DHCP server and client state. dhcp-client-udeb is a minimal
    dhcp package used by the debian-installer. dhcp-client-udeb patch
    provided by David Whedon <dwhedon@gordian.com>.
    Closes: #83001 -  [PATCH] : dhcp-client-udeb for debian-installer.
  * Updated README.Debian.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 28 Jan 2001 13:01:30 -0500

dhcp (3.0b2pl15-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 26 Jan 2001 18:22:33 -0500

dhcp (3.0b2pl14-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 19 Jan 2001 10:03:08 -0500

dhcp (3.0b2pl13-2) experimental; urgency=low

  * Transition from suidmanager to dpkg-statoverride.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 19 Jan 2001 00:30:05 -0500

dhcp (3.0b2pl13-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Thu, 18 Jan 2001 10:02:08 -0500

dhcp (3.0b2pl11-2) experimental; urgency=low

  * Pretty much same changes as in 2.0pl5-2.
  * Using /bin/sh instead of /bin/bash in scripts.
  * Using alternatives to handle the ocurrence of the dhcp-options.5 manual
    page in all the dhcp* packages.
    Closes: #80034: dhcp-relay: Contains /usr/share/man/man5/dhcp-options.5.gz,
                    conflicting with dhcp-client.
    Closes: #78646: dhcp and dhcp-client packages both provide
                    dhcp-options.5.gz man page.
    Closes: #82106: dhcp-client: dhcp-options.5.gz also in package dhcp.
  * Added patch from bug #79578 to allow the dhcp client and server to
    work under Debian-ARM (these patches are actually upstream already, I only
    had to apply a small chunk.)
    Closes: #79578: dhcp: NMU: Debian-ARM patches.
    Closes: #62940: dhcp: NMU: Debian-ARM changes (alignment fix).
  * Removed comment misleading comment in /etc/init.d/dhcp. I plan to move
    to debconf soon and then people will be able to specify the interfaces
    on which to run DHCP.
    Closes: #71310: /etc/init.d/dhcp has misleading comments.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 14 Jan 2001 23:15:12 -0500

dhcp (3.0b2pl11-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 14 Jan 2001 23:14:47 -0500

dhcp (3.0b2pl9-1) experimental; urgency=low

  * New upstream version.
  * Dropped patches to server/dhcpd.conf since the two problems that
    were in there having fixed upstream.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 16 Oct 2000 20:10:05 -0400

dhcp (3.0b2pl6-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Thu,  5 Oct 2000 16:03:32 -0400

dhcp (3.0b2pl5-1) experimental; urgency=low

  * New upstream version.
  * Dropped patch to client/scripts/linux and that solved #66173
    (dhcp-client: dhclient-script doesn't do what its manpage says) in
    3.0b1pl17-1 because the patch is in this new upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Sat, 23 Sep 2000 18:10:20 -0400

dhcp (3.0b2pl4-1) experimental; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 19 Sep 2000 18:43:39 -0400

dhcp (3.0b2pl3-1) experimental; urgency=low

  * New upstream version (never knew about 3.0b2pl2.)
  * Added the -q switch to the invocation of the dhcp* daemons (dhcpd,
    dhclient, and dhcrelay) in the corresponding /etc/init.d/dhcp*
    script (dhcpd, dhcp-client and dhcp-relay) so programs don't print
    a lot of junk when they start.
    Closes: Bug#71309 - dhcpd wraper should call with -q.
    Closes: Bug#59280 - dhcp: Too verbose.
  * Added code to /etc/init.d/dhcp-client to test if the new scheme for
    network configuration is being used (the /etc/network/* stuff). If
    this is the case then the init.d script just exists without doing
    anything.
    Closes: Bug#61092 - dhclient loads twice under new interfaces
       configuration.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 11 Sep 2000 23:32:23 -0400

dhcp (3.0b2pl1-1) experimental; urgency=low

  * New upstream version. This is the "first official release to
    include the DHCP Failover Protocol, OMAPI, and a few other goodies."
    Not recomended for production environments yet, though.
  * Dynamic DNS is now compiled in.
  * 2.0.x Linux kernels are not supported anymore, the binaries in this
    package will not run in a system running a 2.0.x kernel. Enough is
    enough people, please upgrade to a 2.2.x or 2.4.x kernel. I am tired
    of maintaining this backward compatibility baggage. There are not
    wrapper scripts anymore and no build tricks to support the 2.0.x
    kernels.
  * Updated README.Debian.

 -- Eloy A. Paris <peloy@debian.org>  Sun,  3 Sep 2000 13:27:12 -0400

dhcp (3.0b1pl17-3) experimental; urgency=low

  * Same changes as in 2.0pl3-3.
  * Call the configure scripts as "/bin/sh debian/configure-xx" instead
    of just "debian/configure" so no non-executable scripts are found
    during building.
    Closes: Bug#68462 - dhcp: non-executable script during building.

 -- Eloy A. Paris <peloy@debian.org>  Sun,  6 Aug 2000 18:47:45 -0400

dhcp (3.0b1pl17-2) experimental; urgency=low

  * Same changes as in 2.0pl3-2.
  * OK, I screwed it up: the fact that it is entirely possible to have
    a DHCP server and a DHCP client running at the same time in the same
    machine never crossed my mind, so I made each of the dhcp* packages
    conflict with each other in 2.0pl3-1. Big mistake! So I corrected
    that and just left dhcp-client to conflict with dhcpcd. I hope that
    nobody is using ISC DHCP client and dhcpcd in the same machine and at
    the same time because I'm going to be pissed.
    Closes: Bug#68445: dhcp: shouldn't conflict with dhcp-client.

 -- Eloy A. Paris <peloy@debian.org>  Thu,  3 Aug 2000 23:46:07 -0400

dhcp (3.0b1pl17-1) experimental; urgency=low

  * New upstream release.
  * Same changes as in dhcp-2.0pl3-1 which is being uploaded to unstable
    (woody.)
  * Made /etc/init.d/dhcp-client a conffile to prevent an overwrite at
    install time without the user knowing it. In the future I will use
    debconf to take care of interface configuration.
    Closes: Bug#67873: dhcp-client: init.d script is overwritten on upgrade.
  * Applied patch from Jun Hamano <junio@siamese.dhis.twinsun.com> to
    fix kernel version identifiaction problems in /etc/dhclient-script
    (thanks Jun!)
    Closes: #66472: dhcp-client: /etc/dhclient-script bugfix.
  * Applied patch from steve@nyongwa.montreal.qc.ca to fix problems
    reported in bug #66173 (thanks Steve!) Also, fixed dhclient.conf(5)
    to reference dhclient.leases(8) instead of dhclient-lease(8) as well
    as dhclient-script in the description of the "script" statement.
    Closes: #66173: dhcp-client: dhclient-script doesn't do what its 
    manpage says.
  * Added to the control section of the dhcp-client package a conflict
    with the dhcpcd package.
    Closes: #65524: dhcp-client needs a "conflicts" with dhcpcd.
  * Made each of the dhcp* packages (dhcp, dhcp-relay and dhcp-client)
    conflict with each other so only one of them can be installed at
    the same time.
  * Now dhcp-options(5) is installed in each of the dhcp* packages.
    Closes: #61716: dhcp-client: dhcp-options(5) man page missing.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 30 Jul 2000 12:14:33 -0400

dhcp (3.0b1pl13-1) experimental; urgency=low

  * New upstream release.
  * I screwed the way I am building the binaries for Linux 2.0.x and
    Linux 2.2.x when I first packaged the 3.0 beta series of ISC DHCP.
    The reason was that the configure script changed between the 2.0 and 
    the 3.0 series so I can't do what I was doing in the 2.0 series to
    build both Linux 2.0.x and 2.2.x versions. I ended adding a dirty
    hack (creating configure-2.0.x and configure-2.2.x scripts) that
    I hope to get rid of in the future by hacking the original configure
    script.

 -- Eloy A. Paris <peloy@debian.org>  Wed,  9 Feb 2000 07:52:26 -0500

dhcp (3.0b1pl12-1) experimental; urgency=low

  * I finally found some time to package the latest development version
    of the ISC DHCP package, which promises lots of new cool features.
    I don't plan to upload this to Potato as dhcp-beta, dhcp-client-beta,
    etc. packages because I don't like the mess this creates. Instead,
    I'll upload this to project/experimental and when 3.0 final hits the
    streets I'll just upload to unstable.
  * There's no CHANGES file in the 3.0 sources - made the appropriate change
    to debian/rules.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 27 Dec 1999 00:32:29 -0500

dhcp (2.0-3) unstable; urgency=low

  * The sample /etc/dhclient.conf is now provided completely commented
    out so existing installations are not broken after upgrading
    to dhcp-client 2.0-3 and above.
    (Closes: Bug#50592: default dhclient.conf is a killer).

 -- Eloy A. Paris <peloy@debian.org>  Thu, 18 Nov 1999 21:34:29 -0500

dhcp (2.0-2) unstable; urgency=low

  * Compiled two sets of binaries: one for 2.0.x kernels and another
    one for 2.2.x kernels. Created three wrapper scripts (dhcpd,
    dhclient, and dhcrelay) that call the appropiate version
    depending on the version of the running kernel. I also needed
    to tweak dhcp's init.d script to accomodate for the change (now
    I am calling "start-stop-daemon --stop" with the --pid-file argument
    and not with bot the --pid-file and the --exec arguments.
    Closes: Bug#41974 (dhcp requires kernel 2.2??)
  * Took care of the /usr/doc/* -> /usr/share/doc/* move (had to
    tweak the postinst and prerm scripts to take care of the link since
    I am not letting debhelper generate these scripts automatically).
  * Man pages now installed in /usr/share/man/.
  * Fixed a little the init.d script for dhcp-relay, although this file
    was so broken that I believe nobody is using this package.
  * Fixed a minor typo in the sample server/dhcpd.conf file 
    ("domain-name-servers" instead of "name-servers").
  * s/reload/restart/g in /etc/init.d/dhcp.
  * Updated README.Debian and descriptions in debian/control.
  * Removed Bashism from /etc/dhclient-script.
    Closes: Bug#44977 (Bashism in /etc/dhclient-script)
  * Included /etc/dhclient.conf and made it a conffile for dhcp-client.
    Closes: Bug#45537 (significant error in dhclient man pages)
  * Added a /etc/init.d/dhcp-client script. The script won't start
    dhclient if /sbin/cardmgr exists (this normally means
    that PCMCIA is installed and that dhclient will be started by the
    cardmgr daemon). The script is run early in the boot sequence.
    Closes: Bug#48952 (missing /etc/init.d/dhcp-client?)
  
 -- Eloy A. Paris <peloy@debian.org>  Tue,  2 Nov 1999 23:41:00 -0500

dhcp (2.0-1) unstable; urgency=low

  * Final release of dhcp-2.0.
  * Removed "-beta" suffix from all the packages. This package now replaces
    the old dhcp-1.0 package and the -beta packages no longer exist.

 -- Eloy A. Paris <peloy@debian.org>  Wed, 23 Jun 1999 12:28:12 -0400

dhcp-beta (2.0b1pl27-1) unstable; urgency=low

  * New upstream version (never uploaded to master).

 -- Eloy A. Paris <peloy@debian.org>  Sun, 25 Apr 1999 14:21:39 -0400

dhcp-beta (2.0b1pl26-1) unstable; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 16 Apr 1999 09:21:46 -0400

dhcp-beta (2.0b1pl18-1) unstable; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Sun,  7 Mar 1999 09:09:59 -0400

dhcp-beta (2.0b1pl17-1) unstable; urgency=low

  * New upstream version.
  * Fixed dhcp-beta's postinst and prerm scripts to call update-rc.d
    to update the rc links to /etc/init.d/dhcp-beta.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 28 Feb 1999 13:32:13 -0400

dhcp-beta (2.0b1pl14-1) unstable; urgency=low

  * New maintainer (temporary, while Rich Sahlender is out of scene).
  * New upstream version.
  * Moved from debstd to debhelper.
  * Modified /etc/init.d/dhcp-beta to start/stop dhcpd by using the
    PID file /var/run/dhcpd.pid.
  * Re-worked a lot debian/rules (I actually wrote it again from scratch).
  * The patches in the last NMU done by Vincent Renardias <vincent@waw.com>
    are not included since I tested dhclient and it ran just fine. Please
    give this new version a shot and let me know of any problems.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 19 Feb 1999 19:39:20 -0400

dhcp-beta (2.0b1pl6-0.2) frozen unstable; urgency=medium

  * NMU:
    Fix Grave bug #18322 with the provided patch.
    Fix Important bug #19767: dhcp-client-beta did not contain
    any /usr/doc/dhcp-client-beta directory.
    Fix bug #20532 bad option in /etc/dhcpd.conf.
    Close bug #20533 file location prob (Fixed by previous upload).
    Close bug #22081 dhcpd-beta (Fixed by previous upload).
    Close bug #19768 /etc/dhclient-script is not a conffile
      (Already fixed).
    Fix bug #28164 by included a new dhclient script.

 -- Vincent Renardias <vincent@waw.com>  Tue,  5 Jan 1999 23:23:47 +0100

dhcp-beta (2.0b1pl6-0.1) frozen unstable; urgency=medium

  * Non-maintainer upload that fixes "important" bugs #24445 ([SECURITY]
    dhcp-beta: potential buffer overflow problems) and #24442
    (/etc/init.d/dhcp-beta sources inexistent /etc/init.d/functions).
  * New upstream release (this new release is what solves bug #24445).
  * Removed from /etc/init.d/dhcp sourcing of /etc/init.d/functions because
    this file is obsolete and is not present in newer Debian releases
    (>= 2.0). This fixes #24442 and #19654 (/etc/init.d/functions should
    not be used).
  * Changed _PATH_DHCPD_DB in dhcpd.h to /var/dhcp/dhcpd.leases (it was
    /var/lib/dhcpd/dhcpd.leases, which we are not using anymore). So,
    now the leases database will be in /var/dhcp/dhcpd.leases. No more
    files in /var/dhcpd/ nor /var/lib/dhcpd/.
  * Changed VARDB (in the linux-2.0 section of Makefile.dist) to be
    /var/dhcp/ instead of /var/dhcpd/ (this was done to support the
    change of the leases database to /var/dhcp/). The consequence of this
    is that /var/dhcpd/ is not provided in the .deb anymore (which is
    fine because this directory is not used).
  * Defined PATH_DHCPD_DB as a constant equal to "/var/dhcp/dhcpd.leases"
    in the postinst. Used this constant in all references to the leases
    database througout the postinst.
  * s%ETCDIR%/etc/%g, s%DBDIR%/var/dhcp/%g and s%RUNDIR%/var/run/%g in
    dhcpd.8 and dhcpd.leases.5, so the man pages show the correct directory.
  * The last 4 changes fix #23089 (/var/lib/dhcpd does not exist so dhcpd 
    can't start).
  * Made the default _not_ to run dhcpd. This was done by setting run_dhcpd
    to 0 in the default /etc/init.d/dhcp.
  * Change comments that are printed out in the last part of the postinst
    to explain that editing of /etc/dhcpd.conf and /etc/init.d/dhcp is
    necessary in order to be able to run dhcpd.
  * Fixed a small typo in /etc/init.d/dhcp (diasble -> disable).
  * Added the word "server" to the short description of dhcp-beta in
    the control file. This fixes #17558 (dhcp-beta: unclear description).

 -- Eloy A. Paris <peloy@debian.org>  Fri, 17 Jul 1998 00:06:50 -0400

dhcp-beta (2.0b1pl1-1) frozen unstable; urgency=low

  * New upstream patches fixing security and other bugs.
  * New Maintainer.

 -- Rich Sahlender <rsahlen@debian.org>  Thu, 28 May 1998 23:02:43 -0400

dhcp-beta (2.0b1pl0-2) unstable; urgency=low

  * #17939 dhcplient problem with environment variable.

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Feb 1998 19:46:47 -0800

dhcp-beta (2.0b1pl0-1) unstable; urgency=low

  * Generate additional binaries dhcp-relay-beta and dhcp-client-beta.
    dhcp-client beta is not working.
  * New Beta Version with support for multiple interfaces etc.
  * debian/config did not support multi-binary targets cleanly. Removed.
  * Note: The relay does not properly handle the -i option but scans all
    interfaces (upstream issue)

 -- Christoph Lameter <clameter@debian.org>  Sun,  4 Jan 1998 13:12:05 -0800

dhcp (1.0.0-1) debs; urgency=low

  * Upstream non-beta release. Name changed to dhcp.

 -- Christoph Lameter <clameter@debian.org>  Sun,  4 Jan 1998 09:34:44 -0800

dhcpd (0.5.16.1-4) unstable; urgency=low

  * One interface only. If the 2.0.31 feature becomes finally available
    also in 2.1.x then I will include the multi interface feature again.
  * Customize /etc/dhcpd.conf so that it should work after installation with
    some possibly wrong defaults.
  * Linux configuration reworked for glibc. Build on hamm.

 -- Christoph Lameter <clameter@debian.org>  Thu,  4 Sep 1997 16:19:25 -0700

dhcpd (0.5.16.1-3) unstable; urgency=low

  * Documentation changes. Linus has included SO_BINDTODEVICE in the latest
    pre patches for Kernel 2.0.31

 -- Christoph Lameter <clameter@debian.org>  Mon,  4 Aug 1997 20:45:21 -0700

dhcpd (0.5.16.1-2) unstable; urgency=low

  * /etc/init.d/dhcpd: Add initializing routes to 255.255.255.255.
  * README.debian: Given the correct name and added some more information.

 -- Christoph Lameter <clameter@debian.org>  Wed, 11 Jun 1997 22:31:36 -0700

dhcpd (0.5.16.1-1) unstable; urgency=low

  * Include CHANGES file as upstream changelog
  * Update to latest upstream release. Support for multiple interfaces
    using Linux 2.0.31-2 and higher now available. This version will not work
    with older version of Linux.
  * Make dhcpd build using debmake's build command.
  * Include dhcp relay agent and dhcp client
  * Update messages that appear on the screen

 -- Christoph Lameter <clameter@debian.org>  Wed, 11 Jun 1997 13:30:00 -0700

dhcpd (0.5.14-2) unstable; urgency=low

  * Moved leases file into /var/lib/dhcp/ (#5689).

 -- Joey Hess <joeyh@master.debian.org>  Tue, 25 Feb 1997 20:27:54 -0500

dhcpd (0.5.14-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * Old version had incorrect name for directory in .orig.tar.gz file;
    corrected this.
  * Modifications for new debmake.
  * This needs some testing. I can't test it becuase the computer on my
    network that uses DHCP isn't here right now.
  * Remove leases file on purge.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 9 Feb 1997 20:16:08 -0500

dhcpd (0.5.13-4) unstable; urgency=low

  * debmake bug: no scripts installed in -3

 -- Christoph Lameter <clameter@debian.org>  Thu, 17 Oct 1996 07:12:44 +0800

dhcpd (0.5.13-3) unstable; urgency=low

  * added a touch /etc/dhcpd.leases to postinst on suggestion of Joey Hess.
  * Uses debmake: compressed manpages + documentation

 -- Christoph Lameter <clameter@debian.org>  Wed, 16 Oct 1996 18:21:15 +0800

dhcpd (0.5.13-2) unstable; urgency=low

  * Forgot to include conffiles in binary
  * Documentation moved around

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Sep 1996 14:51:46 +0800

dhcpd (0.5.13-1) unstable; urgency=low

  * New upstream version

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Sep 1996 14:51:46 +0800

dhcpd (0.5.11-1) unstable; urgency=high

  * New upstream version

 -- Christoph Lameter <clameter@waterf.org>  Wed, 11 Sep 1996 14:51:46 +0800

dhcpd (0.5.9-1) unstable; urgency=high

  * New upstream version
  * Debian changelog made available in /usr/doc/dhcpd

 -- Christoph Lameter <clameter@waterf.org>  Wed, 4 Sep 1996 14:51:46 +0800

dhcpd (0.5.7-1) unstable; urgency=high

  * New upstream version

 -- Christoph Lameter <clameter@waterf.org>  Wed, 4 Sep 1996 14:51:46 +0800

Old Changelog:
dhcpd (0.5.5-1) experimental; urgency=low

  * Initial Release

